% #!ptex2pdf -l -u -ot '-synctex=1' -od '-V6 -z3' test-jpfr-ptex
%#!lualatex --synctex=1 test-jpfr-luatex
%%
%% Copyright (c) 2024 The Japan Society of Plasma Science and Nuclear Fusion Research
%% All rights reserved.
%%
%% 組版基本仕様
%% ============
%%  * A4判: W210mm x H297mm 12Q 58W (28W/column) 51L 20H
%%  * 天、地、ノド、小口：左右天地中央
%%
\NeedsTeXFormat{LaTeX2e}\ProvidesClass{jpfr}%% based on 2023/01/01 v9.1 Green Cherry Ltd. B5 article pLaTeX class
[2024/03/27 v0.6  LaTeX class for Journal of Plasma and Fusion Research]
\def\grnchry@error{\ClassError{jpfr}}\def\grnchry@warning{\ClassWarning{jpfr}}\def\grnchry@warningnoline{\ClassWarningNoLine{jpfr}}\def\grnchry@info{\ClassInfo{jpfr}}\newdimen\bp@\bp@=1bp\relax\RequirePackage{fix-cm}\IfFileExists{latexrelease.sty}{}{\RequirePackage{fixltx2e}}\let\ltx@ifstar\@ifstar%%as\@ifstar of LaTeX kernel
\def\Cjascale{1}\let\grnchry@engine\relax\newif\if@grnchry@uptex\@grnchry@uptexfalse\ifx\directlua\undefined\ifx\kanjiskip\undefined\grnchry@error{jpfr.cls only supports (u)pTeX and LuaTeX engines}\else\@ifundefined{epTeXinputencoding}{}{\epTeXinputencoding utf8}%
\def\zw{zw}\def\zh{zh}%
\ifnum\jis"2121="3000
\let\grnchry@engine=u
\@grnchry@uptextrue\PassOptionsToPackage{uplatex}{otf}\else\let\grnchry@engine=p
 \fi\fi\AtBeginDvi{\special{pdf:minorversion  6}}%
\else\directlua{pdf.setminorversion(6)}%
\let\grnchry@engine=l
\RequirePackage{luatexja}\fi\ifx l\grnchry@engine\else\IfFileExists{platexrelease.sty}{%%is bundled in TL16+
\PassOptionsToPackage{nosetpagesize}{graphicx}%
}{}\fi\newcount\grnchry@cnta\newcount\grnchry@cntb\newcount\grnchry@cntc\newif\ifgrnchry@swa\newif\ifgrnchry@swb\newif\ifgrnchry@swc\newdimen\grnchry@dima\newdimen\grnchry@dimb\newdimen\grnchry@dimc\newbox\grnchry@boxa\newbox\grnchry@boxb\newbox\grnchry@boxc\newskip\grnchry@skipa\newskip\grnchry@skipb\newskip\grnchry@skipc\newtoks\grnchry@tokena\newtoks\grnchry@tokenb\newtoks\grnchry@tokenc\long\def\@ifempty#1{\@xifempty#1@@..\@nil}\long\def\@xifempty#1#2@#3#4#5\@nil{\ifx#3#4\expandafter\@firstoftwo\else\expandafter\@secondoftwo\fi}\long\def\@ifnotempty#1{\@ifempty{#1}{}}\newcommand\@nonmath[1]{\toks@\@emptytoks\expandafter\@skipmath\expandafter\@empty#1$$%
\edef#1{{\noexpand\protect\the\toks@}}%
}\newcommand{\@skipmath}{}\long\def\@skipmath#1$#2${\@xskipmath#1\(\)%
\@ifnotempty{#2}{\toks@\expandafter{\the\toks@$#2$}\@skipmath\@empty}}%
\newcommand{\@xskipmath}{}\long\def\@xskipmath#1\(#2\){\toks@\expandafter\expandafter\expandafter{\expandafter\the\expandafter\toks@#1}%
\@ifnotempty{#2}{\toks@\expandafter{\the\toks@\(#2\)}\@xskipmath\@empty}}%
\newtoks\@emptytoks\newif\if@hideauthorinfo\@hideauthorinfofalse\newif\if@grnchryfleqn\@grnchryfleqnfalse\newif\if@cameraready\@camerareadyfalse\newif\if@hanmen\@hanmenfalse\newif\if@mentuke\@mentukefalse\newif\if@appendix\@appendixfalse\newif\if@enablejfam\@enablejfamtrue\DeclareOption{blindreview}{\@hideauthorinfotrue}\DeclareOption{fleqn}{\@grnchryfleqntrue}\DeclareOption{nofleqn}{\@grnchryfleqnfalse}\DeclareOption{cameraready}{\@camerareadytrue}\DeclareOption{hanmen}{\@hanmentrue}\hour\time\divide\hour by 60\relax\@tempcnta\hour\multiply\@tempcnta 60\relax\minute\time\advance\minute-\@tempcnta\DeclareOption{tombow}{\tombowtrue\tombowdatetrue\setlength{\@tombowwidth}{.1\bp@}%
\@bannertoken{\jobname\space(\number\year-\two@digits\month-\two@digits\day\space\two@digits\hour:\two@digits\minute)}%
\maketombowbox}\DeclareOption{tombo}{\tombowtrue\tombowdatefalse\setlength{\@tombowwidth}{.1\bp@}%
\maketombowbox}\DeclareOption{mentuke}{\tombowtrue\tombowdatefalse\@mentuketrue\setlength{\@tombowwidth}{\z@}%
\maketombowbox}\DeclareOption{twoside}{\@twosidetrue\@mparswitchtrue}\DeclareOption{twocolumn}{\@twocolumntrue}\DeclareOption{disablejfam}{\@enablejfamfalse}\DeclareOption{draft}{\setlength\overfullrule{5\bp@}}\DeclareOption{final}{\setlength\overfullrule{0\bp@}}\ExecuteOptions{twoside,twocolumn,final,fleqn}
\ProcessOptions\relax
\if@grnchryfleqn\input{fleqn.clo}%%has supported latexrelease.sty
\AtEndOfClass{\mathindent2\zw\relax}%%別行立て数式：左寄せ２字下げ
\PassOptionsToPackage{fleqn}{amsmath}%%is loaded from newtxmath
\PassOptionsToPackage{fleqn}{cases}%
\def\eqnarray{\stepcounter{equation}%
\def\@currentlabel{\p@equation\theequation}%
\global\@eqnswtrue\m@th\global\@eqcnt\z@\tabskip\mathindent\let\\=\@eqncr\setlength\abovedisplayskip{\topsep}%
\ifvmode\addtolength\abovedisplayskip{\partopsep}%
\fi\addtolength\abovedisplayskip{\parskip}%
\setlength\belowdisplayskip{\abovedisplayskip}%
\setlength\belowdisplayshortskip{\abovedisplayskip}%
\setlength\abovedisplayshortskip{\abovedisplayskip}%
$$\everycr{}\halign to\linewidth% $$
\bgroup\hskip\@centering$\displaystyle\tabskip\z@skip{##}$\@eqnsel &\global\@eqcnt\@ne\hfil$\displaystyle{{}##{}}$\hfil &\global\@eqcnt\tw@ $\displaystyle{##}$\hfil\tabskip\@centering &\global\@eqcnt\thr@@\hb@xt@\z@\bgroup\hss##\egroup\tabskip\z@skip\cr}%
\else\def\eqnarray{\stepcounter{equation}%
\def\@currentlabel{\p@equation\theequation}%
\global\@eqnswtrue\m@th\global\@eqcnt\z@\tabskip\@centering\let\\\@eqncr $$\everycr{}\halign to\displaywidth\bgroup\hskip\@centering$\displaystyle\tabskip\z@skip{##}$\@eqnsel &\global\@eqcnt\@ne\hfil$\displaystyle{{}##{}}$\hfil &\global\@eqcnt\tw@ $\displaystyle{##}$\hfil\tabskip\@centering &\global\@eqcnt\thr@@\hb@xt@\z@\bgroup\hss##\egroup\tabskip\z@skip\cr}%
\fi\hoffset\z@\voffset\z@\setlength\paperheight{297mm}\setlength\paperwidth{210mm}\def\grnchry@Qnum{9}%%points as the unit of measurement
\def\grnchry@Wnum{55}%%段間 3W
\def\grnchry@Lnum{51}\def\grnchry@Hnum{14}%%points as the unit of measurement
\def\grnchry@head{24mm}
\ifx\directlua\undefined
\def\grnchry@TX{T1}%
\def\grnchry@JYn{\if@grnchry@uptex JY2\else JY1\fi}%
\def\grnchry@JTn{\if@grnchry@uptex JT2\else JT1\fi}%
\def\grnchry@pfx@{\if@grnchry@uptex up\else\fi}%
\def\grnchry@sfx@{\if@grnchry@uptex\else n\fi}%
\def\grnchry@jisrh{\grnchry@pfx@ jis\if@grnchry@uptex r-h\fi}%a
\def\grnchry@jisgh{\grnchry@pfx@ jisg\if@grnchry@uptex -h\fi}%
\def\grnchry@jisrv{\grnchry@pfx@ jis\if@grnchry@uptex r\fi -v}%
\def\grnchry@jisgv{\grnchry@pfx@ jisg-v}%
\else\def\grnchry@TX{TU}%
\def\grnchry@JYn{JY3}%
\def\grnchry@JTn{JT3}%
\def\grnchry@pfx@{}%
\def\grnchry@sfx@{}%
\def\grnchry@jisrh{\UnicodeFontFile{\grnchry@minchomedium}{jfm=ujis;script=latn;-kern;}}%
\def\grnchry@jisgh{\UnicodeFontFile{\grnchry@gothicmedium}{jfm=ujis;script=latn;-kern;}}%
\def\grnchry@jisrv{\UnicodeFontFile{\grnchry@minchomedium}{jfm=ujisv;script=latn;-kern;}}%
\def\grnchry@jisgv{\UnicodeFontFile{\grnchry@gothicmedium}{jfm=ujisv;script=latn;-kern;}}%
\def\grnchry@minchomedium{HaranoAjiMincho-Regular.otf}%
\def\grnchry@gothicmedium{HaranoAjiGothic-Regular.otf}%
\fi\edef\grnchry@sc@le{\Cjascale}%
\newdimen\JQ\JQ=\dimexpr 0.25mm\relax\let\JH=\JQ\relax\def\grnchry@ssub@extshape#1{\@for\grnchry@x:={m,bx,l,b,eb}\do{\@for\grnchry@xx:={it,sl,sc}\do{\DeclareFontShape{\grnchry@JYn}{#1}{\grnchry@x}{\grnchry@xx}{<->ssub*#1/\grnchry@x/n}{}%
\DeclareFontShape{\grnchry@JTn}{#1}{\grnchry@x}{\grnchry@xx}{<->ssub*#1/\grnchry@x/n}{}%
}}%
}
\@for\grnchry@x:={mc,gt}\do{\@for\grnchry@xx:={m,b,bx}\do{%
 \expandafter\let\csname\grnchry@JYn/\grnchry@x/\grnchry@xx/n/10\endcsname\relax
 \expandafter\let\csname\grnchry@JTn/\grnchry@x/\grnchry@xx/n/10\endcsname\relax
}}\DeclareFontShape{\grnchry@JYn}{mc}{m}{n}{<-> s*[\grnchry@sc@le]\grnchry@jisrh}{}\DeclareFontShape{\grnchry@JYn}{gt}{m}{n}{<-> s*[\grnchry@sc@le]\grnchry@jisgh}{}\DeclareFontShape{\grnchry@JYn}{mc}{bx}{n}{<->ssub*gt/m/n}{}\DeclareFontShape{\grnchry@JYn}{gt}{bx}{n}{<->ssub*gt/m/n}{}\DeclareFontShape{\grnchry@JTn}{mc}{m}{n}{<-> s*[\grnchry@sc@le]\grnchry@jisrv}{}\DeclareFontShape{\grnchry@JTn}{gt}{m}{n}{<-> s*[\grnchry@sc@le]\grnchry@jisgv}{}\DeclareFontShape{\grnchry@JTn}{mc}{bx}{n}{<->ssub*gt/m/n}{}\DeclareFontShape{\grnchry@JTn}{gt}{bx}{n}{<->ssub*gt/m/n}{}\grnchry@ssub@extshape{mc}\grnchry@ssub@extshape{gt}\DeclareKanjiFamily{\grnchry@JYn}{haranoajimincho}{}\DeclareKanjiFamily{\grnchry@JTn}{haranoajimincho}{}\DeclareKanjiSubstitution{\grnchry@JTn}{haranoajimincho}{m}{n}\DeclareKanjiSubstitution{\grnchry@JTn}{haranoajimincho}{m}{n}\DeclareFontShape{\grnchry@JYn}{haranoajimincho}{m}{n}{<->ssub*haranoajimincho/r/n}{}\DeclareFontShape{\grnchry@JYn}{haranoajimincho}{bx}{n}{<->ssub*haranoajimincho/b/n}{}\DeclareFontShape{\grnchry@JTn}{haranoajimincho}{m}{n}{<->ssub*haranoajimincho/r/n}{}\DeclareFontShape{\grnchry@JTn}{haranoajimincho}{bx}{n}{<->ssub*haranoajimincho/b/n}{}\grnchry@ssub@extshape{haranoajimincho}\DeclareKanjiFamily{\grnchry@JYn}{haranoajigothic}{}\DeclareKanjiFamily{\grnchry@JTn}{haranoajigothic}{}\DeclareKanjiSubstitution{\grnchry@JTn}{haranoajigothic}{m}{n}\DeclareKanjiSubstitution{\grnchry@JTn}{haranoajigothic}{m}{n}\DeclareFontShape{\grnchry@JYn}{haranoajigothic}{m}{n}{<->ssub*haranoajigothic/r/n}{}\DeclareFontShape{\grnchry@JYn}{haranoajigothic}{bx}{n}{<->ssub*haranoajigothic/b/n}{}\DeclareFontShape{\grnchry@JTn}{haranoajigothic}{m}{n}{<->ssub*haranoajigothic/r/n}{}\DeclareFontShape{\grnchry@JTn}{haranoajigothic}{bx}{n}{<->ssub*haranoajigothic/b/n}{}\grnchry@ssub@extshape{haranoajigothic}
\ifx\directlua\undefined
\RequirePackage[T1]{fontenc}\RequirePackage{textcomp}\RequirePackage{lmodern}%%provides\ttdefault: lmtt
\input t1lmr.fd
\input t1lmss.fd
\DeclareFontShape{T1}{lmr}{l}{n}{<->sub*lmr/m/n}{}\DeclareFontShape{T1}{lmss}{eb}{n}{<->sub*lmss/bx/n}{}\RequirePackage[deluxe,jis2004,scale=1]{otf}\DeclareFontShape{\otf@JYn}{mg}{l}{n}{<->ssub*hmc/l/n}{}\DeclareFontShape{\otf@JTn}{mg}{l}{n}{<->ssub*hmc/l/n}{}\grnchry@ssub@extshape{hmc}\grnchry@ssub@extshape{hgt}\grnchry@ssub@extshape{mg}\DeclareRobustCommand\ltseries{\not@math@alphabet\ltseries\relax\romanseries\ltdefault\kanjiseries\ltdefault\selectfont}\DeclareRobustCommand\ebseries{\not@math@alphabet\ebseries\relax\romanfamily\sfdefault\romanseries\ebdefault\kanjiseries\ebdefault\selectfont}\DeclareRobustCommand\mgfamily{\not@math@alphabet\mgfamily\mathmg\relax\romanfamily\sfdefault\kanjifamily\mgdefault\selectfont}\DeclareRobustCommand\textmc[1]{\relax\ifmmode\expandafter\nfss@text\fi{\mcfamily #1}}\DeclareRobustCommand\textgt[1]{\relax\ifmmode\expandafter\nfss@text\fi{\gtfamily\sffamily #1}}\DeclareTextFontCommand{\textlt}{\mcfamily\ltseries}\DeclareTextFontCommand{\texteb}{\gtfamily\sffamily\ebseries}\DeclareRelationFont{\otf@JYn}{hmc}{l}{}{\otf@OTorT1}{lmr}{l}{}\DeclareRelationFont{\otf@JTn}{hmc}{l}{}{\otf@OTorT1}{lmr}{l}{}\DeclareRelationFont{\otf@JYn}{hmc}{m}{}{\otf@OTorT1}{lmr}{m}{}\DeclareRelationFont{\otf@JTn}{hmc}{m}{}{\otf@OTorT1}{lmr}{m}{}\DeclareRelationFont{\otf@JYn}{hmc}{bx}{}{\otf@OTorT1}{lmr}{bx}{}\DeclareRelationFont{\otf@JTn}{hmc}{bx}{}{\otf@OTorT1}{lmr}{bx}{}\DeclareRelationFont{\otf@JYn}{hgt}{m}{}{\otf@OTorT1}{lmss}{m}{}\DeclareRelationFont{\otf@JTn}{hgt}{m}{}{\otf@OTorT1}{lmss}{m}{}\DeclareRelationFont{\otf@JYn}{hgt}{bx}{}{\otf@OTorT1}{lmss}{bx}{}\DeclareRelationFont{\otf@JTn}{hgt}{bx}{}{\otf@OTorT1}{lmss}{bx}{}\DeclareRelationFont{\otf@JYn}{hgt}{eb}{}{\otf@OTorT1}{lmss}{bx}{}\DeclareRelationFont{\otf@JTn}{hgt}{eb}{}{\otf@OTorT1}{lmss}{bx}{}\DeclareRelationFont{\otf@JYn}{mg}{l}{}{\otf@OTorT1}{lmss}{m}{}\DeclareRelationFont{\otf@JTn}{mg}{l}{}{\otf@OTorT1}{lmss}{m}{}\DeclareRelationFont{\otf@JYn}{mg}{m}{}{\otf@OTorT1}{lmss}{m}{}\DeclareRelationFont{\otf@JTn}{mg}{m}{}{\otf@OTorT1}{lmss}{m}{}\DeclareFontShape{\grnchry@JYn}{haranoajimincho}{l}{n}{<-> ssub*hmc/l/n}{}\DeclareFontShape{\grnchry@JTn}{haranoajimincho}{l}{n}{<-> ssub*hmc/l/n}{}\DeclareFontShape{\grnchry@JYn}{haranoajimincho}{r}{n}{<-> ssub*hmc/m/n}{}\DeclareFontShape{\grnchry@JTn}{haranoajimincho}{r}{n}{<-> ssub*hmc/m/n}{}\DeclareFontShape{\grnchry@JYn}{haranoajimincho}{b}{n}{<-> ssub*hmc/bx/n}{}\DeclareFontShape{\grnchry@JTn}{haranoajimincho}{b}{n}{<-> ssub*hmc/bx/n}{}\DeclareFontShape{\grnchry@JYn}{haranoajigothic}{r}{n}{<-> ssub*hgt/m/n}{}\DeclareFontShape{\grnchry@JTn}{haranoajigothic}{r}{n}{<-> ssub*hgt/m/n}{}\DeclareFontShape{\grnchry@JYn}{haranoajigothic}{b}{n}{<-> ssub*hgt/bx/n}{}\DeclareFontShape{\grnchry@JTn}{haranoajigothic}{b}{n}{<-> ssub*hgt/bx/n}{}\DeclareFontShape{\grnchry@JYn}{haranoajigothic}{eb}{n}{<-> ssub*hgt/eb/n}{}\DeclareFontShape{\grnchry@JTn}{haranoajigothic}{eb}{n}{<-> ssub*hgt/eb/n}{}\DeclareFontShape{\grnchry@JYn}{haranoajigothic}{l}{n}{<-> ssub*mg/m/n}{}\DeclareFontShape{\grnchry@JTn}{haranoajigothic}{l}{n}{<-> ssub*mg/m/n}{}
\AtBeginDvi{
 \special{pdf:mapline  rml	2004-H	HaranoAjiMincho-Regular.otf}
 \special{pdf:mapline  rmlv	2004-V	HaranoAjiMincho-Regular.otf}
 \special{pdf:mapline  gbm	2004-H	HaranoAjiGothic-Medium.otf}
 \special{pdf:mapline  gbmv	2004-V	HaranoAjiGothic-Medium.otf}
 \special{pdf:mapline  urml	UniJIS2004-UTF16-H	HaranoAjiMincho-Regular.otf}
 \special{pdf:mapline  urmlv	UniJIS2004-UTF16-V	HaranoAjiMincho-Regular.otf}
 \special{pdf:mapline  ugbm	UniJIS2004-UTF16-H	HaranoAjiGothic-Medium.otf}
 \special{pdf:mapline  ugbmv	UniJIS2004-UTF16-V	HaranoAjiGothic-Medium.otf}
 \special{pdf:mapline  uprml-h	UniJIS2004-UTF16-H	HaranoAjiMincho-Regular.otf}
 \special{pdf:mapline  uprml-v	UniJIS2004-UTF16-V	HaranoAjiMincho-Regular.otf}
 \special{pdf:mapline  upgbm-h	UniJIS2004-UTF16-H	HaranoAjiGothic-Medium.otf}
 \special{pdf:mapline  upgbm-v	UniJIS2004-UTF16-V	HaranoAjiGothic-Medium.otf}
 \special{pdf:mapline  uprml-hq	UniJIS-UCS2-H	HaranoAjiMincho-Regular.otf}
 \special{pdf:mapline  upgbm-hq	UniJIS-UCS2-H	HaranoAjiGothic-Medium.otf}
 \special{pdf:mapline  hminl-h	H	HaranoAjiMincho-Light.otf}
 \special{pdf:mapline  hminl-v	V	HaranoAjiMincho-Light.otf}
 \special{pdf:mapline  hminr-h	H	HaranoAjiMincho-Regular.otf}
 \special{pdf:mapline  hminr-v	V	HaranoAjiMincho-Regular.otf}
 \special{pdf:mapline  hminb-h	H	HaranoAjiMincho-Bold.otf}
 \special{pdf:mapline  hminb-v	V	HaranoAjiMincho-Bold.otf}
 \special{pdf:mapline  hgothr-h	H	HaranoAjiGothic-Regular.otf}
 \special{pdf:mapline  hgothr-v	V	HaranoAjiGothic-Regular.otf}
 \special{pdf:mapline  hgothb-h	H	HaranoAjiGothic-Medium.otf}
 \special{pdf:mapline  hgothb-v	V	HaranoAjiGothic-Medium.otf}
 \special{pdf:mapline  hgotheb-h	H	HaranoAjiGothic-Heavy.otf}
 \special{pdf:mapline  hgotheb-v	V	HaranoAjiGothic-Heavy.otf}
 \special{pdf:mapline  hmgothr-h	H	HaranoAjiGothic-Light.otf}
 \special{pdf:mapline  hmgothr-v	V	HaranoAjiGothic-Light.otf}
 \special{pdf:mapline  hminln-h	H	HaranoAjiMincho-Light.otf}
 \special{pdf:mapline  hminln-v	V	HaranoAjiMincho-Light.otf}
 \special{pdf:mapline  hminrn-h	H	HaranoAjiMincho-Regular.otf}
 \special{pdf:mapline  hminrn-v	V	HaranoAjiMincho-Regular.otf}
 \special{pdf:mapline  hminbn-h	H	HaranoAjiMincho-Bold.otf}
 \special{pdf:mapline  hminbn-v	V	HaranoAjiMincho-Bold.otf}
 \special{pdf:mapline  hgothrn-h	H	HaranoAjiGothic-Regular.otf}
 \special{pdf:mapline  hgothrn-v	V	HaranoAjiGothic-Regular.otf}
 \special{pdf:mapline  hgothbn-h	H	HaranoAjiGothic-Medium.otf}
 \special{pdf:mapline  hgothbn-v	V	HaranoAjiGothic-Medium.otf}
 \special{pdf:mapline  hgothebn-h	H	HaranoAjiGothic-Heavy.otf}
 \special{pdf:mapline  hgothebn-v	V	HaranoAjiGothic-Heavy.otf}
 \special{pdf:mapline  hmgothrn-h	H	HaranoAjiGothic-Light.otf}
 \special{pdf:mapline  hmgothrn-v	V	HaranoAjiGothic-Light.otf}
 \special{pdf:mapline  otf-cjml-h	Identity-H	HaranoAjiMincho-Light.otf}
 \special{pdf:mapline  otf-cjml-v	Identity-V	HaranoAjiMincho-Light.otf}
 \special{pdf:mapline  otf-cjmr-h	Identity-H	HaranoAjiMincho-Regular.otf}
 \special{pdf:mapline  otf-cjmr-v	Identity-V	HaranoAjiMincho-Regular.otf}
 \special{pdf:mapline  otf-cjmb-h	Identity-H	HaranoAjiMincho-Bold.otf}
 \special{pdf:mapline  otf-cjmb-v	Identity-V	HaranoAjiMincho-Bold.otf}
 \special{pdf:mapline  otf-cjgr-h	Identity-H	HaranoAjiGothic-Regular.otf}
 \special{pdf:mapline  otf-cjgr-v	Identity-V	HaranoAjiGothic-Regular.otf}
 \special{pdf:mapline  otf-cjgb-h	Identity-H	HaranoAjiGothic-Medium.otf}
 \special{pdf:mapline  otf-cjgb-v	Identity-V	HaranoAjiGothic-Medium.otf}
 \special{pdf:mapline  otf-cjge-h	Identity-H	HaranoAjiGothic-Heavy.otf}
 \special{pdf:mapline  otf-cjge-v	Identity-V	HaranoAjiGothic-Heavy.otf}
 \special{pdf:mapline  otf-cjmgr-h	Identity-H	HaranoAjiGothic-Light.otf}
 \special{pdf:mapline  otf-cjmgr-v	Identity-V	HaranoAjiGothic-Light.otf}
 \special{pdf:mapline  otf-ujml-h	UniJIS-UTF16-H	HaranoAjiMincho-Light.otf}
 \special{pdf:mapline  otf-ujml-v	UniJIS-UTF16-V	HaranoAjiMincho-Light.otf}
 \special{pdf:mapline  otf-ujmr-h	UniJIS-UTF16-H	HaranoAjiMincho-Regular.otf}
 \special{pdf:mapline  otf-ujmr-v	UniJIS-UTF16-V	HaranoAjiMincho-Regular.otf}
 \special{pdf:mapline  otf-ujmb-h	UniJIS-UTF16-H	HaranoAjiMincho-Bold.otf}
 \special{pdf:mapline  otf-ujmb-v	UniJIS-UTF16-V	HaranoAjiMincho-Bold.otf}
 \special{pdf:mapline  otf-ujgr-h	UniJIS-UTF16-H	HaranoAjiGothic-Regular.otf}
 \special{pdf:mapline  otf-ujgr-v	UniJIS-UTF16-V	HaranoAjiGothic-Regular.otf}
 \special{pdf:mapline  otf-ujgb-h	UniJIS-UTF16-H	HaranoAjiGothic-Medium.otf}
 \special{pdf:mapline  otf-ujgb-v	UniJIS-UTF16-V	HaranoAjiGothic-Medium.otf}
 \special{pdf:mapline  otf-ujge-h	UniJIS-UTF16-H	HaranoAjiGothic-Heavy.otf}
 \special{pdf:mapline  otf-ujge-v	UniJIS-UTF16-V	HaranoAjiGothic-Heavy.otf}
 \special{pdf:mapline  otf-ujmgr-h	UniJIS-UTF16-H	HaranoAjiGothic-Light.otf}
 \special{pdf:mapline  otf-ujmgr-v	UniJIS-UTF16-V	HaranoAjiGothic-Light.otf}
 \special{pdf:mapline  otf-ujmln-h	UniJIS2004-UTF16-H	HaranoAjiMincho-Light.otf}
 \special{pdf:mapline  otf-ujmln-v	UniJIS2004-UTF16-V	HaranoAjiMincho-Light.otf}
 \special{pdf:mapline  otf-ujmrn-h	UniJIS2004-UTF16-H	HaranoAjiMincho-Regular.otf}
 \special{pdf:mapline  otf-ujmrn-v	UniJIS2004-UTF16-V	HaranoAjiMincho-Regular.otf}
 \special{pdf:mapline  otf-ujmbn-h	UniJIS2004-UTF16-H	HaranoAjiMincho-Bold.otf}
 \special{pdf:mapline  otf-ujmbn-v	UniJIS2004-UTF16-V	HaranoAjiMincho-Bold.otf}
 \special{pdf:mapline  otf-ujgrn-h	UniJIS2004-UTF16-H	HaranoAjiGothic-Regular.otf}
 \special{pdf:mapline  otf-ujgrn-v	UniJIS2004-UTF16-V	HaranoAjiGothic-Regular.otf}
 \special{pdf:mapline  otf-ujgbn-h	UniJIS2004-UTF16-H	HaranoAjiGothic-Medium.otf}
 \special{pdf:mapline  otf-ujgbn-v	UniJIS2004-UTF16-V	HaranoAjiGothic-Medium.otf}
 \special{pdf:mapline  otf-ujgen-h	UniJIS2004-UTF16-H	HaranoAjiGothic-Heavy.otf}
 \special{pdf:mapline  otf-ujgen-v	UniJIS2004-UTF16-V	HaranoAjiGothic-Heavy.otf}
 \special{pdf:mapline  otf-ujmgrn-h	UniJIS2004-UTF16-H	HaranoAjiGothic-Light.otf}
 \special{pdf:mapline  otf-ujmgrn-v	UniJIS2004-UTF16-V	HaranoAjiGothic-Light.otf}
 \special{pdf:mapline  uphminl-h	UniJIS-UTF16-H	HaranoAjiMincho-Light.otf}
 \special{pdf:mapline  uphminl-v	UniJIS-UTF16-V	HaranoAjiMincho-Light.otf}
 \special{pdf:mapline  uphminr-h	UniJIS-UTF16-H	HaranoAjiMincho-Regular.otf}
 \special{pdf:mapline  uphminr-v	UniJIS-UTF16-V	HaranoAjiMincho-Regular.otf}
 \special{pdf:mapline  uphminb-h	UniJIS-UTF16-H	HaranoAjiMincho-Bold.otf}
 \special{pdf:mapline  uphminb-v	UniJIS-UTF16-V	HaranoAjiMincho-Bold.otf}
 \special{pdf:mapline  uphgothr-h	UniJIS-UTF16-H	HaranoAjiGothic-Regular.otf}
 \special{pdf:mapline  uphgothr-v	UniJIS-UTF16-V	HaranoAjiGothic-Regular.otf}
 \special{pdf:mapline  uphgothb-h	UniJIS-UTF16-H	HaranoAjiGothic-Medium.otf}
 \special{pdf:mapline  uphgothb-v	UniJIS-UTF16-V	HaranoAjiGothic-Medium.otf}
 \special{pdf:mapline  uphgotheb-h	UniJIS-UTF16-H	HaranoAjiGothic-Heavy.otf}
 \special{pdf:mapline  uphgotheb-v	UniJIS-UTF16-V	HaranoAjiGothic-Heavy.otf}
 \special{pdf:mapline  uphmgothr-h	UniJIS-UTF16-H	HaranoAjiGothic-Light.otf}
 \special{pdf:mapline  uphmgothr-v	UniJIS-UTF16-V	HaranoAjiGothic-Light.otf}
 \special{pdf:mapline  uphminln-h	UniJIS2004-UTF16-H	HaranoAjiMincho-Light.otf}
 \special{pdf:mapline  uphminln-v	UniJIS2004-UTF16-V	HaranoAjiMincho-Light.otf}
 \special{pdf:mapline  uphminrn-h	UniJIS2004-UTF16-H	HaranoAjiMincho-Regular.otf}
 \special{pdf:mapline  uphminrn-v	UniJIS2004-UTF16-V	HaranoAjiMincho-Regular.otf}
 \special{pdf:mapline  uphminbn-h	UniJIS2004-UTF16-H	HaranoAjiMincho-Bold.otf}
 \special{pdf:mapline  uphminbn-v	UniJIS2004-UTF16-V	HaranoAjiMincho-Bold.otf}
 \special{pdf:mapline  uphgothrn-h	UniJIS2004-UTF16-H	HaranoAjiGothic-Regular.otf}
 \special{pdf:mapline  uphgothrn-v	UniJIS2004-UTF16-V	HaranoAjiGothic-Regular.otf}
 \special{pdf:mapline  uphgothbn-h	UniJIS2004-UTF16-H	HaranoAjiGothic-Medium.otf}
 \special{pdf:mapline  uphgothbn-v	UniJIS2004-UTF16-V	HaranoAjiGothic-Medium.otf}
 \special{pdf:mapline  uphgothebn-h	UniJIS2004-UTF16-H	HaranoAjiGothic-Heavy.otf}
 \special{pdf:mapline  uphgothebn-v	UniJIS2004-UTF16-V	HaranoAjiGothic-Heavy.otf}
 \special{pdf:mapline  uphmgothrn-h	UniJIS2004-UTF16-H	HaranoAjiGothic-Light.otf}
 \special{pdf:mapline  uphmgothrn-v	UniJIS2004-UTF16-V	HaranoAjiGothic-Light.otf}

}\else\DeclareFontShape{\grnchry@JYn}{haranoajimincho}{l}{n}{%
<-> s*[\grnchry@sc@le]\UnicodeFontFile{HaranoAjiMincho-Light.otf}{jfm=ujis;-kern;}}{}\DeclareFontShape{\grnchry@JYn}{haranoajimincho}{r}{n}{<-> s*[\grnchry@sc@le]\UnicodeFontFile{HaranoAjiMincho-Regular.otf}{jfm=ujis;-kern;}}{}\DeclareFontShape{\grnchry@JYn}{haranoajimincho}{b}{n}{<-> s*[\grnchry@sc@le]\UnicodeFontFile{HaranoAjiMincho-Bold.otf}{jfm=ujis;-kern;}}{}\DeclareFontShape{\grnchry@JTn}{haranoajimincho}{l}{n}{<-> s*[\grnchry@sc@le]\UnicodeFontFile{HaranoAjiMincho-Light.otf}{jfm=ujisv;-kern;}}{}\DeclareFontShape{\grnchry@JTn}{haranoajimincho}{r}{n}{<-> s*[\grnchry@sc@le]\UnicodeFontFile{HaranoAjiMincho-Regular.otf}{jfm=ujisv;-kern;}}{}\DeclareFontShape{\grnchry@JTn}{haranoajimincho}{b}{n}{<-> s*[\grnchry@sc@le]\UnicodeFontFile{HaranoAjiMincho-Bold.otf}{jfm=ujisv;-kern;}}{}\DeclareFontShape{\grnchry@JYn}{haranoajigothic}{l}{n}{<-> s*[\grnchry@sc@le]\UnicodeFontFile{HaranoAjiGothic-Light.otf}{jfm=ujis;-kern;}}{}\DeclareFontShape{\grnchry@JYn}{haranoajigothic}{r}{n}{<-> s*[\grnchry@sc@le]\UnicodeFontFile{HaranoAjiGothic-Regular.otf}{jfm=ujis;-kern;}}{}\DeclareFontShape{\grnchry@JYn}{haranoajigothic}{b}{n}{<-> s*[\grnchry@sc@le]\UnicodeFontFile{HaranoAjiGothic-Medium.otf}{jfm=ujis;-kern;}}{}\DeclareFontShape{\grnchry@JYn}{haranoajigothic}{h}{n}{<-> s*[\grnchry@sc@le]\UnicodeFontFile{HaranoAjiGothic-Heavy.otf}{jfm=ujis;-kern;}}{}\DeclareFontShape{\grnchry@JTn}{haranoajigothic}{l}{n}{<-> s*[\grnchry@sc@le]\UnicodeFontFile{HaranoAjiGothic-Light.otf}{jfm=ujisv;-kern;}}{}\DeclareFontShape{\grnchry@JTn}{haranoajigothic}{r}{n}{<-> s*[\grnchry@sc@le]\UnicodeFontFile{HaranoAjiGothic-Regular.otf}{jfm=ujisv;-kern;}}{}\DeclareFontShape{\grnchry@JTn}{haranoajigothic}{b}{n}{<-> s*[\grnchry@sc@le]\UnicodeFontFile{HaranoAjiGothic-Medium.otf}{jfm=ujisv;-kern;}}{}\DeclareFontShape{\grnchry@JTn}{haranoajigothic}{h}{n}{<-> s*[\grnchry@sc@le]\UnicodeFontFile{HaranoAjiGothic-Heavy.otf}{jfm=ujisv;-kern;}}{}\fi%% end of\ifx\directlua\undefined
\@namedef{SourceSansPro@scale}{1.08}
\ifx\directlua\undefined
 \input T1SourceSansPro-LF.fd
\DeclareFontShape{T1}{SourceSansPro-LF}{bx}{it}{<-> ssub*SourceSansPro-LF/sb/it}{}%% SourceSansPro-LF/b/it
\DeclareFontShape{T1}{SourceSansPro-LF}{bx}{sl}{<-> ssub*SourceSansPro-LF/sb/sl}{}%% SourceSansPro-LF/b/sl
\DeclareFontShape{T1}{SourceSansPro-LF}{bx}{sc}{<-> ssub*SourceSansPro-LF/sb/sc}{}%% SourceSansPro-LF/b/sc
\DeclareFontShape{T1}{SourceSansPro-LF}{bx}{n}{ <-> ssub*SourceSansPro-LF/sb/n}{}%% SourceSansPro-LF/b/n
\DeclareFontShape{T1}{SourceSansPro-LF}{b}{it}{<-> ssub*SourceSansPro-LF/sb/it}{}\DeclareFontShape{T1}{SourceSansPro-LF}{b}{sl}{<-> ssub*SourceSansPro-LF/sb/sl}{}\DeclareFontShape{T1}{SourceSansPro-LF}{b}{sc}{<-> ssub*SourceSansPro-LF/sb/sc}{}\DeclareFontShape{T1}{SourceSansPro-LF}{b}{n}{ <-> ssub*SourceSansPro-LF/sb/n}{}\else\expandafter\ifx\csname SourceSansPro@scale\endcsname\relax\expandafter\let\csname SourceSansPro@@scale\endcsname\@empty\else\expandafter\edef\csname SourceSansPro@@scale\endcsname{s*[\csname SourceSansPro@scale\endcsname]}%
\fi\expandafter\ifx\csname SourceSansPro@features\endcsname\relax\expandafter\let\csname SourceSansPro@@features\endcsname\@empty\else\expandafter\edef\csname SourceSansPro@@features\endcsname{\csname SourceSansPro@features\endcsname}%
\fi\DeclareFontFamily{TU}{SourceSansPro-LF}{}\DeclareFontShape{TU}{SourceSansPro-LF}{m}{n}{<->ssub*SourceSansPro-LF/r/n}{}\DeclareFontShape{TU}{SourceSansPro-LF}{m}{it}{<->ssub*SourceSansPro-LF/r/it}{}\DeclareFontShape{TU}{SourceSansPro-LF}{m}{sl}{<->ssub*SourceSansPro-LF/r/sl}{}\DeclareFontShape{TU}{SourceSansPro-LF}{m}{sc}{<->ssub*SourceSansPro-LF/r/sc}{}\DeclareFontShape{TU}{SourceSansPro-LF}{bx}{n}{<->ssub*SourceSansPro-LF/sb/n}{}%% SourceSansPro-LF/b/n
\DeclareFontShape{TU}{SourceSansPro-LF}{bx}{it}{<->ssub*SourceSansPro-LF/sb/it}{}%% SourceSansPro-LF/b/it
\DeclareFontShape{TU}{SourceSansPro-LF}{bx}{sl}{<->ssub*SourceSansPro-LF/sb/sl}{}%% SourceSansPro-LF/b/sl
\DeclareFontShape{TU}{SourceSansPro-LF}{bx}{sc}{<->ssub*SourceSansPro-LF/sb/sc}{}%% SourceSansPro-LF/b/sc
\DeclareFontShape{TU}{SourceSansPro-LF}{r}{n}{<->\csname SourceSansPro@@scale\endcsname\UnicodeFontFile{SourceSansPro-Regular.otf}{\UnicodeFontTeXLigatures\csname SourceSansPro@@features\endcsname}}{}\DeclareFontShape{TU}{SourceSansPro-LF}{r}{it}{<->\csname SourceSansPro@@scale\endcsname\UnicodeFontFile{SourceSansPro-RegularIt.otf}{\UnicodeFontTeXLigatures\csname SourceSansPro@@features\endcsname}}{}\DeclareFontShape{TU}{SourceSansPro-LF}{r}{sl}{<->ssub*SourceSansPro-LF/r/it}{}\DeclareFontShape{TU}{SourceSansPro-LF}{r}{sc}{<->\csname SourceSansPro@@scale\endcsname\UnicodeFontFile{SourceSansPro-Regular.otf}{\UnicodeFontTeXLigatures\csname SourceSansPro@@features\endcsname;+smcp;}}{}\DeclareFontShape{TU}{SourceSansPro-LF}{sb}{n}{<->\csname SourceSansPro@@scale\endcsname\UnicodeFontFile{SourceSansPro-Semibold.otf}{\UnicodeFontTeXLigatures\csname SourceSansPro@@features\endcsname}}{}\DeclareFontShape{TU}{SourceSansPro-LF}{sb}{it}{<->\csname SourceSansPro@@scale\endcsname\UnicodeFontFile{SourceSansPro-SemiboldIt.otf}{\UnicodeFontTeXLigatures\csname SourceSansPro@@features\endcsname}}{}\DeclareFontShape{TU}{SourceSansPro-LF}{sb}{sl}{<->ssub*SourceSansPro-LF/sb/it}{}\DeclareFontShape{TU}{SourceSansPro-LF}{sb}{sc}{<->\csname SourceSansPro@@scale\endcsname\UnicodeFontFile{SourceSansPro-Semibold.otf}{\UnicodeFontTeXLigatures\csname SourceSansPro@@features\endcsname;+smcp;}}{}\DeclareFontShape{TU}{SourceSansPro-LF}{b}{n}{<->ssub*SourceSansPro-LF/sb/n}{}\DeclareFontShape{TU}{SourceSansPro-LF}{b}{it}{<->ssub*SourceSansPro-LF/sb/it}{}\DeclareFontShape{TU}{SourceSansPro-LF}{b}{sl}{<->ssub*SourceSansPro-LF/sb/sl}{}\DeclareFontShape{TU}{SourceSansPro-LF}{b}{sc}{<->ssub*SourceSansPro-LF/sb/sc}{}\fi%% end of\ifx\directlua\undefined
\renewcommand\mcdefault{haranoajimincho}\renewcommand\gtdefault{haranoajigothic}\renewcommand\sfdefault{SourceSansPro-LF}\DeclareRobustCommand\rmfamily {\not@math@alphabet\rmfamily\mathrm\romanfamily\rmdefault\kanjifamily\mcdefault\selectfont}\DeclareRobustCommand\sffamily {\not@math@alphabet\sffamily\mathsf\romanfamily\sfdefault\kanjifamily\gtdefault\selectfont}\DeclareRobustCommand\ttfamily {\not@math@alphabet\ttfamily\mathtt\romanfamily\ttdefault\kanjifamily\gtdefault\selectfont}\DeclareRobustCommand\bfseries {\not@math@alphabet\bfseries\mathbf\romanfamily\sfdefault\fontseries\bfdefault\kanjifamily\gtdefault\kanjiseries\bfdefault\selectfont\mathversion{bold}}\DeclareRobustCommand\itshape {\not@math@alphabet\itshape\mathit\fontshape\itdefault\selectfont}\if@enablejfam\DeclareSymbolFont{mincho}{\grnchry@JYn}{mc}{m}{n}\DeclareSymbolFontAlphabet{\mathmc}{mincho}\SetSymbolFont{mincho}{bold}{\grnchry@JYn}{gt}{m}{n}\jfam\symmincho\DeclareMathAlphabet{\mathgt}{\grnchry@JYn}{gt}{m}{n}\AtBeginDocument{\reDeclareMathAlphabet{\mathrm}{\mathrm}{\mathmc}\reDeclareMathAlphabet{\mathbf}{\mathbf}{\mathgt}}%
\fi\DeclareRobustCommand*{\cal}{\@fontswitch\relax\mathcal}\DeclareRobustCommand*{\mit}{\@fontswitch\relax\mathnormal}\DeclareFontFamily{U}{rsfs}{\skewchar\font127 }\DeclareFontShape{U}{rsfs}{m}{n}{ <5> <6> rsfs5
<7> rsfs7
<8> <9> <10> <10.95> <12> <14.4> <17.28> <20.74> <24.88> rsfs10
<-> rsfs10
}{}\def\@setfontsize#1#2#3{\@nomath#1%
\ifx\protect\@typeset@protect\let\@currsize#1%
\fi\fontsize{#2}{#3}\selectfont\ifdim\parindent>\z@\parindent=1\zw\fi\ifx\directlua\undefined\kanjiskip\z@ plus .1\zw minus .01\zw\ifdim\xkanjiskip>\z@\xkanjiskip 0.25em plus 0.15em minus 0.06em
\fi\else\ltj@setpar@global\ltjsetkanjiskip\z@ plus .1\zw minus .01\zw\@tempskipa=\ltjgetparameter{xkanjiskip}
\ifdim\@tempskipa>\z@
 \ltjsetxkanjiskip 0.25em plus 0.15em minus 0.06em
\fi\fi}\renewcommand{\normalsize}{\@setfontsize\normalsize{\grnchry@Qnum\bp@}{\grnchry@Hnum\bp@}%
\abovedisplayskip .5\Cvs\@plus.125\Cvs\@minus.25\Cvs\abovedisplayshortskip\z@\@plus.15\Cvs\belowdisplayshortskip .3\Cvs\@plus.15\Cvs\@minus.15\Cvs\belowdisplayskip\abovedisplayskip\let\@listi\@listI}
\normalsize
\setbox0\hbox{\char\jis"3441}%"
\setlength\Cht{\ht0}\setlength\Cdp{\dp0}\setlength\Cwd{\wd0}\setlength\Cvs{\baselineskip}\setlength\Chs{\wd0}
\setbox0=\box\voidb@x
 \newcommand{\small}{%
 \@setfontsize\small\@viiipt\@xiipt
 \abovedisplayskip .4\Cvs\@plus.15\Cvs\@minus.2\Cvs
 \abovedisplayshortskip\z@\@plus.1\Cvs
 \belowdisplayshortskip .2\Cvs\@plus.1\Cvs\@minus.1\Cvs
 \def\@listi{\leftmargin\leftmargini
 \topsep .15\Cvs\@plus.05\Cvs\@minus.1\Cvs
 \parsep .1\Cvs\@plus.05\Cvs\@minus.05\Cvs
\itemsep\parsep}%
\belowdisplayskip\abovedisplayskip}\newcommand{\footnotesize}{\@setfontsize\footnotesize\@viipt\@xpt\abovedisplayskip .3\Cvs\@plus.1\Cvs\@minus.2\Cvs\abovedisplayshortskip\z@\@plus.05\Cvs\belowdisplayshortskip .15\Cvs\@plus.05\Cvs\@minus.1\Cvs\def\@listi{\leftmargin\leftmargini\topsep .1\Cvs\@plus.05\Cvs\@minus.05\Cvs\parsep .1\Cvs\@plus.05\Cvs\@minus.05\Cvs\itemsep\parsep}%
\belowdisplayskip\abovedisplayskip}\newcommand{\scriptsize}{\@setfontsize\scriptsize\@vipt\@viipt}\newcommand{\tiny}{\@setfontsize\tiny\@vpt\@vipt}\newcommand{\large}{\@setfontsize\large\@xiipt{17}}\newcommand{\Large}{\@setfontsize\Large\@xivpt{21}}\newcommand{\LARGE}{\@setfontsize\LARGE\@xviipt{25}}\newcommand{\huge}{\@setfontsize\huge\@xxpt{28}}\newcommand{\Huge}{\@setfontsize\Huge\@xxvpt{33}}\def\displaymath@smallskip@setup{\abovedisplayskip .225\Cvs\@plus.1\Cvs\@minus.1\Cvs\abovedisplayshortskip .125\Cvs\@plus.1\Cvs\belowdisplayshortskip .175\Cvs\@plus.1\Cvs\@minus.1\Cvs\belowdisplayskip\abovedisplayskip}\setlength\topskip{\Cht}\setlength\headheight{10\JH}\setlength\headsep{6mm}\setlength\footskip{9.25mm}\setlength\maxdepth{.5\topskip}\setlength\textwidth{\grnchry@Wnum\Cwd}\setlength\textheight{\grnchry@Lnum\Cvs}\addtolength\textheight{-\Cvs}\addtolength\textheight{\topskip}\addtolength\textheight{1\JH}\setlength\marginparsep{1\zw}\setlength\marginparwidth{8\zw}\setlength\marginparpush{10\JH}
\setlength\oddsidemargin\paperwidth
\addtolength\oddsidemargin{-\textwidth}\setlength\oddsidemargin{.5\oddsidemargin}\addtolength\oddsidemargin{-1in}
\setlength\evensidemargin\oddsidemargin
\setlength\topmargin{\grnchry@head}\addtolength\topmargin{-1in}\addtolength\topmargin{-\headheight}\addtolength\topmargin{-\headsep}\setlength\footnotesep{.7\dimexpr(12\bp@)}\setlength{\skip\footins}{\Cvs\@plus .1\Cdp\@minus .1\Cdp}\setlength\floatsep    {\Cvs\@plus\Cdp\@minus\Cdp}%
\setlength\textfloatsep{1.5\Cvs\@plus\Cdp\@minus\Cdp}%
\setlength\intextsep   {\Cvs\@plus\Cdp\@minus\Cdp}%
\setlength\dblfloatsep    {\Cvs\@plus\Cdp\@minus\Cdp}%
\setlength\dbltextfloatsep{1.5\Cvs\@plus\Cdp\@minus\Cdp}%
\setlength\@fptop{\z@\@plus 1fil}\setlength\@fpsep{\z@\@plus 2fil}\setlength\@fpbot{\z@\@plus 1fil}\setlength\partopsep{\z@}\def\@listi{\leftmargin\leftmargini\topsep\z@\parsep\z@\itemsep\parsep}\let\@listI\@listi\@listi\def\@listii{\leftmargin\leftmarginii\labelwidth\leftmarginii\advance\labelwidth-\labelsep\topsep\z@\parsep\z@\itemsep\parsep}\def\@listiii{\leftmargin\leftmarginiii\labelwidth\leftmarginiii\advance\labelwidth-\labelsep\topsep\z@\parsep\z@\itemsep\parsep}\def\@listiv {\leftmargin\leftmarginiv\labelwidth\leftmarginiv\advance\labelwidth-\labelsep}\def\@listv  {\leftmargin\leftmarginv\labelwidth\leftmarginv\advance\labelwidth-\labelsep}\def\@listvi {\leftmargin\leftmarginvi\labelwidth\leftmarginvi\advance\labelwidth-\labelsep}\let\clone@underline\underline\setlength\columnsep{3\Cwd}\setlength\columnseprule{0\bp@}\setlength\lineskip{1\bp@}\setlength\normallineskip{1\bp@}\setlength\lineskiplimit{1\bp@}\setlength\normallineskiplimit{1\bp@}\renewcommand{\baselinestretch}{}\setlength\parskip\z@skip%default: 0\p@\@plus\p@
\setlength\parindent{1\zw}
\@lowpenalty   51
\@medpenalty  151
\@highpenalty 301
\setcounter{topnumber}{9}\setcounter{bottomnumber}{9}\setcounter{totalnumber}{20}\setcounter{dbltopnumber}{9}\renewcommand{\topfraction}{.9}\renewcommand{\bottomfraction}{.85}\renewcommand{\textfraction}{.05}\renewcommand{\floatpagefraction}{.85}\renewcommand{\dbltopfraction}{.85}\renewcommand{\dblfloatpagefraction}{.85}\if@hanmen\def\hanmen@TL{\llap{\smash{\rule[-\headsep]{5mm}{.1\bp@}\rule[-\headsep]{.1\bp@}{5mm}}}}\def\hanmen@TR{\rlap{\smash{\rule[-\headsep]{.1\bp@}{5mm}\rule[-\headsep]{5mm}{.1\bp@}}}}\def\hanmen@BL{\llap{\smash{\raisebox{\footskip}{\rule{5mm}{.1\bp@}\rule[-5mm]{.1\bp@}{5mm}}}}}\def\hanmen@BR{\rlap{\smash{\raisebox{\footskip}{\rule[-5mm]{.1\bp@}{5mm}\rule{5mm}{.1\bp@}}}}}\else\let\hanmen@TL\relax\let\hanmen@TR\relax\let\hanmen@BL\relax\let\hanmen@BR\relax\fi\def\ps@plain{\let\@mkboth\@gobbletwo\let\ps@jpl@in\ps@plain\def\@oddhead{\hanmen@TL\hfil\hanmen@TR}%
\def\@oddfoot{\hanmen@BL\hfil{\ps@nombre@font\thepage}\hfil\hanmen@BR}%
\let\@evenhead\@oddhead\let\@evenfoot\@oddfoot}\let\ps@jpl@in\ps@plain\def\ps@empty{\let\@mkboth\@gobbletwo\let\ps@jpl@in\ps@empty\def\@oddhead{\hanmen@TL\hfil\hanmen@TR}%
\def\@oddfoot{\hanmen@BL\hfil\hanmen@BR}%
\let\@evenhead\@oddhead\let\@evenfoot\@oddfoot}\newcommand{\ps@nombre@font}{\reset@font}\newcommand{\ps@header@font}{\reset@font\fontsize{7\bp@}{\headheight}\selectfont}\newcommand{\ps@titlepage@header@font}{\reset@font\fontsize{7.5\bp@}{\headheight}\selectfont}\newcommand{\ps@footer@font}{\reset@font\fontsize{7\bp@}{10\bp@}\selectfont}\def\ps@bothstyle{\let\@mkboth\@gobbletwo\let\ps@jpl@in\ps@plain\def\@oddhead{\hanmen@TL\let\\\relax\def\etal{\textit{et al.}\relax}%
\ps@header@font\rlap{\@genreen}\hfil\hbox to\z@{\hss\hbox to\textwidth{\hfil\rightmark\hfil}\hss}\hfil\llap{\jpfr@headerauthor}\hanmen@TR}%
\def\@evenhead{\hanmen@TL\hfil\ps@header@font\@journaltitle\quad\jpfr@headVolNo\quad\jpfr@headMonthYear\hfil\hanmen@TR}%
\def\@oddfoot{\hanmen@BL\hfil{\ps@nombre@font\thepage}\hfil\hanmen@BR}%
\let\@evenfoot\@oddfoot\let\sectionmark\@gobble\let\subsectionmark\@gobble }\def\ps@titlepage{\let\@mkboth\@gobbletwo\let\ps@jpl@in\ps@plain\def\@oddhead{\hanmen@TL\hfill\ps@titlepage@header@font\shortjournaltitle\relax\space\jpfr@titlepage@headVolNo\hanmen@TR}%
\let\@evenhead\@oddhead\def\@oddfoot{\hanmen@BL\hfil{\ps@nombre@font\thepage}\hfil\llap{\jpfr@footcopyright}\hanmen@BR}%
\let\@evenfoot\@oddfoot}\def\jpfr@footcopyright{\if@cameraready\smash{\parbox[t]{50mm}{\ps@footer@font\raggedleft\textcopyright\thinspace\jpfr@Year\spaceThe Japan Society of Plasma\\Science and Nuclear Fusion Research}}%
\fi}\if@cameraready\let\ps@titlepage\ps@empty\let\ps@bothstyle\ps@empty\fi\newcommand*{\journaltitle}[2][]{\gdef\shortjournaltitle{#1}%
\gdef\@journaltitle{#2}%
}
\edef\journaltitle{\noexpand\@dblarg
\expandafter\noexpand\csname\string\journaltitle\endcsname}\journaltitle[J.\ Plasma and Fusion Res.]{Journal of Plasma and Fusion Research}\newcommand*{\StartAtPage}[1]{\setcounter{page}{#1}}\newcommand*{\genre}[1]{\gdef\@genreja{#1}}\def\@genreja{}\def\@genreen{}\newcommand*{\genrelogoimage}[1]{\gdef\@genrelogoimage{#1}}\def\@genrelogoimage{}\newcommand*{\genretitle}[1]{\gdef\@genretitle{#1}}\def\@genretitle{}\newcommand*{\genretitleimage}[1]{\gdef\@genretitleimage{#1}}\def\@genretitleimage{}\newcommand*{\Vol}[1]{\gdef\@Vol{#1}}\def\@Vol{99}\newcommand*{\No}[1]{\gdef\@No{#1}}\def\@No{1}\newcommand*{\Month}[1]{\gdef\@Month{#1}}\def\@Month{}%%<= 原則、\@Month=\@No
\newcommand*{\Year}[1]{\gdef\@Year{#1}}\def\@Year{}%%<= 原則、\@Year=1924+\@Vol
\newcommand*{\ReceivedDate}[1]{\ext@ReceivedDate#1\@nil}\def\ext@ReceivedDate#1/#2/#3\@nil{\gdef\@ReceivedDate{#1年#2月#3日}}\def\@ReceivedDate{〓年〓月〓日}\newcommand*{\AcceptanceDate}[1]{\ext@AcceptanceDate#1\@nil}\def\ext@AcceptanceDate#1/#2/#3\@nil{\gdef\@AcceptanceDate{#1年#2月#3日}}\def\@AcceptanceDate{〓年〓月〓日}\def\jpfr@pages@pfx@p{}\def\jpfr@pages@pfx@pp{}\def\jpfr@pages@dash{\thinspace--\thinspace}\def\jpfr@pages{\@ifundefined{r@jpfr@lastpage}{\def\jpfr@lastpage{1}\def\get@lastpage{1}}%
{\edef\exp@lastpage{\csname r@jpfr@lastpage\endcsname}%
\edef\get@lastpage{\expandafter\@cdr\exp@lastpage\@nil}%
\def\jpfr@lastpage{\@tempcnta\get@lastpage\relax\the\@tempcnta}%
}%
\ifnum\get@lastpage=\c@page\jpfr@pages@pfx@p\relax\thepage\else\jpfr@pages@pfx@pp\relax\thepage\relax\jpfr@pages@dash\relax\jpfr@lastpage\fi}\AtEndDocument{\clearpage\addtocounter{page}{-1}\immediate\write\@auxout{\string\newlabel{jpfr@lastpage}{{}{\thepage}}}}\def\jpfr@Monthname{\if@cameraready\edef\jpfr@Month{\ifx\@Month\@empty\@No\else\@Month\fi}%
\ifcase\jpfr@Month 〓\or January\or February\or March\or April\or May\or June\or July\or August\or September\or October\or November\or December\or\@ctrerr\fi\fi}\def\jpfr@Year{\if@cameraready\ifx\@Year\@empty\@tempcnta=\numexpr(1924+\@Vol)\relax\the\@tempcnta\else\@Year\fi\fi}\def\jpfr@titlepage@headVolNo{\if@cameraready\jpfr@headVolNo\space(\jpfr@Year)\space\jpfr@pages\relax\inhibitglue\relax\else 投稿論文\relax\fi}\def\jpfr@headVolNo{\if@cameraready Vol.\@Vol,\space No.\@No\fi}\def\jpfr@headMonthYear{\if@cameraready\jpfr@Monthname\space\jpfr@Year\else 投稿論文\relax\fi}\def\jpfr@headerauthor{\if@cameraready\@headerauthor\else 投稿論文\relax\fi}\newcommand*{\contactaddress}[1]{\gdef\@contactaddress{#1}}\def\@contactaddress{}\newcommand*{\contactemail}[1]{\gdef\@contactemail{#1}}\def\@contactemail{}\let\title\relax\let\author\relax\let\date\relax\let\@title\relax\let\@author\relax\let\@date\relax\newcommand*{\headertitle}[1]{\gdef\@headertitle{#1}}\def\@headertitle{}\newcommand*{\headerauthor}[1]{\gdef\@headerauthor{#1}}\def\@headerauthor{}\newcommand*{\titleja}[2][]{\gdef\@titleja{#2}%
\gdef\shorttitleja{{\let\\\relax#1}}%%<= The heading should be on one line.
}
\edef\titleja{\noexpand\@dblarg
\expandafter\noexpand\csname\string\titleja\endcsname}\newcommand*{\titleen}[2][]{\gdef\@titleen{#2}%
\gdef\shorttitleen{#1}%
}
\edef\titleen{\noexpand\@dblarg
 \expandafter\noexpand\csname\string\titleen\endcsname}\let\@titleja\@empty\let\shorttitleja\@empty\let\@titleen\@empty\let\shorttitleen\@empty
 \newcommand*{\subtitleja}[1]{\gdef\@subtitleja{#1}}\def\@subtitleja{}\newcommand*{\subtitleen}[1]{\gdef\@subtitleen{#1}}\def\@subtitleen{}\newcounter{profile}\newcounter{pop@profile}\newenvironment{author}{\ifx\@empty\@addresses
 \g@addto@macro\@addresses{%
\c@addresses\z@}%
\fi\ifx\@empty\@profiles\g@addto@macro\@profiles{\let\@profilenewpage\relax\setcounter{profile}\@ne\relax}%
\else\g@addto@macro\@profiles{\let\@profilenewpage\relax\stepcounter{profile}}%
\fi }{\g@addto@macro\namesja{\if@firstaddress\@textsuperscript{\footnotemark@font\@ddr@close}\fi}%
\g@addto@macro\@profiles{\pop@profile}%%push a profile in the pseudo-stack\@profiles
}\let\@addresses\@empty\let\@profiles\@empty\newcounter{addresses}\def\theaddresses{\@arabic\c@addresses}\newcommand*{\allatsameaddress}{\gdef\theaddresses{}\gdef\@ddr@separator{}\gdef\@ddr@close{}\relax}\newcommand*{\nameja}[2][]{\ifx\@empty\namesja\gdef\namesja{\@nameja{#2}}%
\else\g@addto@macro\namesja{\and\@nameja{#2}}%
\fi\g@addto@macro\namesja{\@firstaddressfalse}%
\g@addto@macro\@profiles{\nameja{#2}}%
\@ifnotempty{#1}{\ifx\@empty\shortauthorsja\gdef\shortauthorsja{#1}%
\else\g@addto@macro\shortauthorsja{\andja#1}%
\fi}%
}
\edef\nameja{\noexpand\@dblarg
 \expandafter\noexpand\csname\string\nameja\endcsname}\let\namesja\@empty\let\shortauthorsja\@empty
 \newcommand*{\nameen}[2][]{%
 \ifx\@empty\namesen
\gdef\namesen{\mbox{#2}}%
\else\g@addto@macro\namesen{\and\hbox{#2}}%
\fi\@ifnotempty{#1}{\ifx\@empty\shortauthorsen\gdef\shortauthorsen{#1}%
\else\g@addto@macro\shortauthorsen{\and#1}%
\fi}%
}
\edef\nameen{\noexpand\@dblarg
 \expandafter\noexpand\csname\string\nameen\endcsname}\let\namesen\@empty\let\shortauthorsen\@empty
 \newif\if@firstaddress
\def\@ddr@separator{,\relax}%(
\def\@ddr@close{)\relax}\newcommand*\address[2]{\g@addto@macro\namesja{\if@firstaddress\@textsuperscript{\footnotemark@font\@ddr@separator}\fi\address{#1}{#2}\@firstaddresstrue}}\newcommand*\addressref[1]{\g@addto@macro\namesja{\if@firstaddress\@textsuperscript{\footnotemark@font\@ddr@separator}\fi\addressref{#1}\@firstaddresstrue}}\newcommand*\furigana[1]{\g@addto@macro\@profiles{\furigana{#1}}}\newcommand*\faceimage[1]{\g@addto@macro\@profiles{\faceimage{#1}}}\newcommand*\profile[1]{\g@addto@macro\@profiles{\profile{#1}}}\newcommand*{\namejalinebreak}{\g@addto@macro\namesja{\namejalinebreak}}\newcommand*{\nameenlinebreak}{\g@addto@macro\namesen{\nameenlinebreak}}\newcommand*{\profilenewpage}{\g@addto@macro\@profiles{\profilenewpage}}\newcommand{\xandlist}[4]{\@andlista{{#1}{#2}{#3}}#4\and\and}\def\@andlista#1#2\and#3\and{\@andlistc{#2}\@ifnotempty{#3}{\@andlistb#1{#3}}}\def\@andlistb#1#2#3#4#5\and{\@ifempty{#5}{\@andlistc{#2#4}%
}{\@andlistc{#1#4}\@andlistb{#1}{#3}{#3}{#5}%
}}\let\@andlistc\@iden\newcommand{\nxandlist}[4]{\def\@andlistc##1{\toks@\expandafter{\the\toks@##1}}%
\toks@{\toks@\@emptytoks\@andlista{{#1}{#2}{#3}}}%
\the\expandafter\toks@#4\and\and\edef#4{\the\toks@}%
\let\@andlistc\@iden}\def\@@and{and}\newcommand{\andify}{\nxandlist{\unskip, }{\unskip{}\@@and~}{\unskip,\@@and~}}\def\and{\unskip{ }\@@and{ }\ignorespaces}\newcommand{\andifyja}{\nxandlist{\unskip，}{\unskip}{\unskip，}}\def\andja{\unskip，\ignorespaces}\def\nameen@andify{\nxandlist {\unskip ,\penalty-1\space\ignorespaces}%
{\unskip {}\@@and~}%
{\unskip\penalty-2\space\@@and~}%
}\def\nameja@andify{\nxandlist {\unskip ，\penalty-1\space\ignorespaces}%
{\unskip ，}%
{\unskip ，\penalty-2}%
}\newcommand{\maketitle}{\clearpage\@topnum\z@%
\thispagestyle{titlepage}%
\jpfr@genre@setup\let\shorttitle=\shorttitleja\ifx\@headertitle\@empty\else\let\shorttitle=\@headertitle\relax\fi\let\shortauthors=\shortauthorsja\@nonmath\shorttitle\let\shortauthors\shorttitle\begingroup\def\namejalinebreak{\penalty-\@lowpenalty%%break a line
\@gobbletwo%%remove\andja
}%
\let\nameenlinebreak\relax\twocolumn[\@maketitle]%
\@makecontactinfo\endgroup\markboth{\expandafter{\shortauthors}}{\expandafter{\shorttitle}}%
\c@footnote\z@\@cleartopmattertags}\def\@cleartopmattertags{\def\do##1{\let##1\relax}%
\do\maketitle\do\@maketitle\do\@makecontactinfo\do\genre\do\Vol\do\No\do\StartAtPage\do\ReceivedDate\do\AcceptanceDate\do\titleja\do\@titleja\do\nameja\do\@nameja\do\@xnameja\do\titleen %\do\@titleen
\do\nameen\do\@xnameen\do\address\do\@xaddress\do\addressref\do\subtitleja\do\@subtitleja\do\subtitleen\do\@subtitleen\global\setbox\abstract@box\box\voidb@x\relax\global\setbox\keywords@box\box\voidb@x\relax }\def\@maketitle{\null\begingroup\def\@nameja##1{\bgroup\def\@namejafalse{\let\if@nameja\iffalse}\@namejafalse%
\def\@namejatrue{\let\if@nameja\iftrue}%
\@tfor\@nameja@x:=##1\do{\setbox\z@\hbox{\@nameja@x}%
\ifdim\wd\z@=1\zw\relax\@namejatrue\fi}%
\if@nameja\exp@nameja##1\@nil%
\else\noexp@nameja##1\@nil%
\fi}%
\def\exp@nameja##1 ##2\@nil{##1\hspace{.5\zw}##2\egroup}%
\def\noexp@nameja##1\@nil{##1\egroup}%
\def\address##1##2{\kern\z@\advance\c@addresses\@ne\relax\@textsuperscript{\footnotemark@font\theaddresses}%
\g@addto@macro\@addresses{\refstepcounter{addresses}%
\ifnum\c@addresses>\@ne\andja\fi\@textsuperscript{\footnotemark@font\theaddresses\@ddr@close}\kern\z@\relax\label{addr@##1}##2}\relax}%
\def\addressref##1{\kern\z@\@textsuperscript{\footnotemark@font\ref{addr@##1}}}%
\parindent\z@\boxmaxdepth\z@\lineskiplimit\z@\lineskip\z@\reset@font\nameja@andify\namesja\nameen@andify\namesen\setbox\@tempboxa\vbox\bgroup\begingroup\jpfr@genre\trivlist\centering\item\relax{\titleja@font\@titleja\par}%
\ifx\@subtitleja\@empty\else\quarterlineskip{\subtitleja@font\@subtitleja\par}%
\fi\halflineskip{\titleen@font\@titleen\par}%
\ifx\@subtitleen\@empty\else\quarterlineskip{\subtitleen@font\@subtitleen\par}%
\fi\if@hideauthorinfo\else\vskip\Cvs{\nameja@font\namesja\par}%
{\nameen@font\namesen\par}%
{\addresses@font\@addresses\par}%
\fi\if@cameraready{\receiveddate@font （原稿受付：\@ReceivedDate）\par}%
\fi\endtrivlist\endgroup\begingroup\trivlist\leftskip2.5\Cwd\rightskip\leftskip\abstract@font\item\relax\ifvoid\abstract@box\else\vskip\Cvs\unhbox\abstract@box\fi\ifvoid\keywords@box\else\vskip.25\Cvs\advance\leftskip2\Cwd\unhbox\keywords@box\fi\vskip\Cvs\endtrivlist\endgroup\egroup\@tempdima\ht\@tempboxa\advance\@tempdima\dp\@tempboxa\divide\@tempdima\Cvs\@tempcnta\@tempdima\advance\@tempcnta\@ne\vbox to\@tempcnta\Cvs{\box\@tempboxa\vss}%
\endgroup\nobreak}\newcommand\contactinfostrut[1][]{\relax}\if@cameraready\renewcommand\contactinfostrut[1][3\Cvs]{\begingroup\begin{figure}[b]\rule{\z@}{\dimexpr(#1-2\floatsep)}\end{figure}\endgroup}\fi\let\footnotestrut\contactinfostrut\def\contactinfo@font{\reset@font\itshape\fontsize{8\bp@}{12\bp@}\selectfont}\def\@makecontactinfo{\begingroup\let\@makefntext\@makefntext@contactinfo\def\contactinfo@wrap##1{##1\relax}%
\def\contactinfo@newline{\newline\relax}%
\if@cameraready\def\contactinfo@wrap##1{\hbox to\columnwidth{\parbox[b]{\textwidth}{\rule{\z@}{\footnotesep}%
##1\vphantom{Mg}}\hss}\relax}%
\def\contactinfo@newline{\newline\hfill\relax}%
\fi\ifx\@contactaddress\@empty\else\footnotetext{\contactinfo@wrap{\@contactaddress\relax\ifx\@contactemail\@empty\else\contactinfo@newline corresponding author's e-mail:\space\@contactemail\relax\fi}}%
\fi\endgroup}\newcommand\@makefntext@contactinfo[1]{\clubpenalty\@M\widowpenalty\@M\noindent\contactinfo@font\raggedright #1}\newcommand{\genre@font}{\reset@font\bfseries\fontsize{16\bp@}{16\bp@}\selectfont}\newcommand{\genretitle@font}{\reset@font\bfseries\fontsize{10.5\bp@}{16\bp@}\selectfont}\def\jpfr@genrelogoimage@height{16.5mm}\def\jpfr@genre{\leavevmode\if@cameraready\ifx\@genretitleimage\@empty\hbox{\includegraphics[height=\jpfr@genrelogoimage@height]{\@genrelogoimage}%
\jpfr@genreja}%
\else\includegraphics[width=\textwidth]{\@genretitleimage}\par\onelineskip\fi\else\hbox{\rule{\z@}{\jpfr@genrelogoimage@height}\jpfr@genreja}%
\fi\par\nointerlineskip\relax}%
\def\jpfr@genreja{\raise.5\dimexpr(\jpfr@genrelogoimage@height-16\bp@)\hbox{\genre@font\hspace{.5\zw}\@genreja\ifx\@genretitle\@empty\else{\genretitle@font\hspace{.5\zw}\@genretitle}%
\fi}\relax}\def\jpfr@genre@setup{\def\grnchry@tmp{解説}\ifx\grnchry@tmp\@genreja\gdef\@genreen{Commentary}%
\gdef\@genrelogoimage{assets/kaisetsu.ai}%
\else\def\grnchry@tmp{小特集}\ifx\grnchry@tmp\@genreja\gdef\@genreen{Special Topic Article}%
\gdef\@genrelogoimage{assets/sp.ai}%
\else\def\grnchry@tmp{講座}\ifx\grnchry@tmp\@genreja\gdef\@genreen{Lecture Note}%
\gdef\@genrelogoimage{assets/koza.ai}%
\else\def\grnchry@tmp{プロジェクトレビュー}\ifx\grnchry@tmp\@genreja\gdef\@genreen{Project Review}%
\gdef\@genrelogoimage{assets/project.ai}%
\else\def\grnchry@tmp{研究最前線}\ifx\grnchry@tmp\@genreja\gdef\@genreen{Front Runner}%
\gdef\@genrelogoimage{assets/frontrunner.ai}%
\else\def\grnchry@tmp{研究・技術ノート}\ifx\grnchry@tmp\@genreja\gdef\@genreen{Research and Technology Note}%
\gdef\@genrelogoimage{assets/randtnote.ai}%
\else\def\grnchry@tmp{サロン}\ifx\grnchry@tmp\@genreja\gdef\@genreen{Saloon}%
\gdef\@genrelogoimage{assets/saloon.ai}%
\else\gdef\@genreen{}%
\gdef\@genrelogoimage{}%
\fi\fi\fi\fi\fi\fi\fi}\def\titleja@font{\reset@font\bfseries\fontsize{18\bp@}{25\bp@}\selectfont}\def\subtitleja@font{\reset@font\bfseries\fontsize{14\bp@}{17\bp@}\selectfont}\def\titleen@font{\reset@font\bfseries\fontsize{13\bp@}{18\bp@}\selectfont}\def\subtitleen@font{\reset@font\bfseries\fontsize{10\bp@}{13\bp@}\selectfont}\def\nameja@font{\reset@font\fontsize{11\bp@}{16\bp@}\selectfont}\def\nameen@font{\reset@font}\def\addresses@font{\reset@font\fontsize{8.5\bp@}{14\bp@}\selectfont}\def\receiveddate@font{\reset@font\fontsize{7\bp@}{14\bp@}\selectfont}\def\abstract@font{\reset@font\fontsize{9\bp@}{12\bp@}\selectfont}\newbox\abstract@box\newenvironment{abstract}{\global\setbox\abstract@box\hbox\bgroup\abstract@font\hspace*{2\zw}%
\ignorespaces}{\egroup}\def\keywords@font{\reset@font\fontsize{8\bp@}{12\bp@}\selectfont\raggedright}\def\keywordshead@font{\reset@font\fontsize{9\bp@}{12\bp@}\selectfont}\newbox\keywords@box\newenvironment{keywords}{\global\setbox\keywords@box\hbox\bgroup\keywords@font\hspace{-2\Cwd}{\keywordshead@font\keywordsname}:\newline\ignorespaces }{\egroup}\def\profile@font{\reset@font\fontsize{8\bp@}{12\bp@}\selectfont}\def\profilename@font{\profile@font\fontsize{10.5\bp@}{12\bp@}\selectfont}\RequirePackage{wrapfig}\newcommand{\makeprofiles}{\@makeprofiles\let\makeprofiles\relax}\if@cameraready\if@hideauthorinfo\let\makeprofiles\relax\fi\fi\newcommand{\@makeprofiles}{\par\begingroup\def\pop@profile{\def\@pop@profilefalse{\let\if@pop@profile\iffalse}%
\def\@pop@profiletrue{\let\if@pop@profile\iftrue}%
\@pop@profiletrue\ifnum\c@pop@profile>\z@\ifnum\c@pop@profile=\c@profile\else\@pop@profilefalse\fi\let\halflineskip\relax\let\onelineskip\relax\fi\if@pop@profile\output@profile\fi\let\@nameja@pre\@empty\let\@nameja@post\@empty\let\@furigana@pre\@empty\let\@furigana@post\@empty\let\@faceimage\@empty\let\@profile\@empty}%
\def\output@profile{\par\setbox\@tempboxa\hbox\bgroup\begin{minipage}{\columnwidth}
\profile@font
 \ifx\@faceimage\@empty
\vspace*{\baselineskip}%
\else\vspace*{1.5\baselineskip}%
\fi\noindent\ifx\@faceimage\@empty\else\begin{wrapfigure}[5]{l}[0mm]{5\zw}%
\smash{\lower14.25mm\rlap{\@faceimage}}%
\end{wrapfigure}%
\fi\bgroup\profilename@font\hspace*{1\zw}%
\ruby{\@nameja@pre}{\@furigana@pre}%
\ifx\@nameja@post\@empty\else\hspace{.5\zw}\ruby{\@nameja@post}{\@furigana@post}%
\fi\egroup\par\vspace*{.75\baselineskip}%
\@profile\end{minipage}%
\egroup\onelineskip\needspace{7\Cvs}%
\hbox to\columnwidth{\box\@tempboxa\hss}%
\@profilenewpage\halflineskip}%
\def\nameja##1{\bgroup\def\@namejafalse{\let\if@nameja\iffalse}\@namejafalse%
\def\@namejatrue{\let\if@nameja\iftrue}%
\@tfor\@nameja@x:=##1\do{\setbox\z@\hbox{\@nameja@x}%
\ifdim\wd\z@=1\zw\relax\@namejatrue\fi}%
\if@nameja\exp@nameja##1\@nil%
\else\noexp@nameja##1\@nil%
\fi}%
\def\exp@nameja##1 ##2\@nil{\gdef\@nameja@pre{##1}\gdef\@nameja@post{##2}\egroup}%
\def\noexp@nameja##1\@nil{\gdef\@nameja@pre{##1}\egroup}%
\def\@nameja@pre{}\def\@nameja@post{}%
\def\furigana##1{\exp@furigana##1\@nil}%
\def\exp@furigana##1 ##2\@nil{\gdef\@furigana@pre{##1}\gdef\@furigana@post{##2}}%
\def\@furigana@pre{}\def\@furigana@post{}%
\def\faceimage##1{\gdef\@faceimage{\includegraphics[hiresbb,keepaspectratio,width=20mm,height=25mm]{##1}}}%
\def\@faceimage{}%
\def\profile##1{\gdef\@profile{##1}}\def\@profile{}%
\def\ruby##1##2{\leavevmode\begingroup\@tempdima\f@size\bp@\relax\divide\@tempdima by\tw@\def\tiny{\@setfontsize\tiny{\@tempdima}{\z@}}%
\setbox\z@=\hbox{##1}\setbox\@ne=\hbox{\tiny##2}%
\ifdim\wd\z@>\wd\@ne\dimen\z@=\wd\z@\else\dimen\z@=\wd\@ne\fi\smash{\hbox{\ifx\directlua\undefined\kanjiskip=\fill\relax\else\ltjsetkanjiskip\fill\relax\fi\vbox{\hbox to\dimen\z@{\hfil\box\@ne\hfil}%
\nointerlineskip\hbox to\dimen\z@{\hfil\box\z@\hfil}}}}%
\endgroup}%
\def\profilenewpage{\let\@profilenewpage\newpage}%
\parindent\z@\@profiles\endgroup}\newcommand*{\popprofile}{\global\let\makeprofiles\relax\stepcounter{pop@profile}%
\begin{minipage}[t]{\dimexpr(\textwidth - 2\Cwd)/2}
\@makeprofiles
 \end{minipage}\ignorespaces}\setcounter{secnumdepth}{3}\newcounter{section}\newcounter{subsection}[section]
\newcounter{subsubsection}[subsection]
\newcounter{paragraph}[subsubsection]
\newcounter{subparagraph}[paragraph]
\renewcommand{\thesection}{\@arabic\c@section}\renewcommand{\thesubsection}{\thesection.\@arabic\c@subsection}\renewcommand{\thesubsubsection}{\thesubsection.\@arabic\c@subsubsection}\renewcommand{\theparagraph}{\thesubsubsection.\@arabic\c@paragraph}\renewcommand{\thesubparagraph}{\theparagraph.\@arabic\c@subparagraph}\newcount\@ssect@currlevel\def\@startsection#1#2#3#4#5#6{\if@noskipsec\leavevmode\fi\par\@tempskipa #4\relax\@afterindenttrue\ifdim\@tempskipa <\z@\@tempskipa -\@tempskipa\@afterindentfalse\fi\if@nobreak\everypar{}%
\else\addpenalty\@secpenalty\ifdim\@tempskipa >\z@\ifnum#2=\@ne\vskip-\prevdepth\prevdepth\z@\vskip2\Cvs\@plus\z@\@minus\Cdp\advance\@tempskipa-2\Cvs\vspace*{\@tempskipa}%
\else\vskip-\prevdepth\prevdepth\z@\vskip\Cvs\@plus\z@\@minus\Cdp\advance\@tempskipa-\Cvs\vspace*{\@tempskipa}%
\fi\fi\fi\global\@ssect@currlevel=#2\relax\noindent\@ifstar{\@ssect{#3}{#4}{#5}{#6}}%
{\@dblarg{\@sect{#1}{#2}{#3}{#4}{#5}{#6}}}}\def\section@seccntformat#1{\csname the#1\endcsname.\quad}%
\def\subsection@seccntformat#1{\csname the#1\endcsname\quad}\def\subsubsection@seccntformat#1{\csname the#1\endcsname\quad}\def\@sect@otherwise#1#2{\bgroup\@hangfrom{\hskip #1\relax\@svsec}%
\mbox{}\inhibitglue #2\vphantom{Mg}\par\egroup\nobreak}\let\@sect@section\@sect@otherwise\let\@sect@subsection\@sect@otherwise\def\@sect@subsubsection#1#2{\bgroup\@hangfrom{\hbox to 1\zw{\hfil ・\hfil}}%
\mbox{}\inhibitglue #2\vphantom{Mg}\par\egroup\nobreak}\let\@sect@paragraph\@sect@otherwise\let\@sect@subparagraph\@sect@otherwise\def\@sect#1#2#3#4#5#6[#7]#8{\ifnum #2>\c@secnumdepth\let\@svsec\@empty\else\if@appendix\let\@svsec\@empty\else\refstepcounter{#1}%
\protected@edef\@svsec{\csname #1@seccntformat\endcsname{#1}\relax}%
\fi\fi\@tempskipa #5\relax\ifdim\@tempskipa>\z@\begingroup\interlinepenalty\@M #6{\ifnum#2=\@ne\@sect@section{#3}{#8}%
\else\ifnum#2=\tw@\@sect@subsection{#3}{#8}%
\else\ifnum#2=\thr@@\@sect@subsubsection{#3}{#8}%
\else\ifnum#2=4\relax\@sect@paragraph{#3}{#8}%
\else\ifnum#2=5\relax\@sect@subparagraph{#3}{#8}%
\else\@sect@otherwise{#3}{#8}%
\fi\fi\fi\fi\fi}%
\endgroup\csname #1mark\endcsname{#7}%
\addcontentsline{toc}{#1}{\ifnum #2>\c@secnumdepth\else\protect\numberline{\csname the#1\endcsname}%
\fi#7}%
\else\def\@svsechd{ #6{\hskip #3\relax\@svsec #8}%
\csname #1mark\endcsname{#7}%
\addcontentsline{toc}{#1}{\ifnum #2>\c@secnumdepth\else\protect\numberline{\csname the#1\endcsname}%
\fi#7}}%
\fi\@xsect{#5}}\def\@xsect#1{\@tempskipa #1\relax\ifdim\@tempskipa>\z@\par\nobreak\vskip\@tempskipa\@afterheading\else\@nobreakfalse\global\@noskipsectrue\everypar{\if@noskipsec\global\@noskipsecfalse{\setbox\z@\lastbox}%
\clubpenalty\@M\begingroup\@svsechd\endgroup\unskip\@tempskipa #1\relax\hskip -\@tempskipa\else\clubpenalty\@clubpenalty\everypar{\opgbrkt@hook%default: (none)
}%
\fi\opgbrkt@hook%default: (none)
}%
\fi\@@par\ignorespaces}\def\@ssect#1#2#3#4#5{\@tempskipa #3\relax\ifdim\@tempskipa>\z@\begingroup\let\@svsec\@empty\interlinepenalty\@M #4{\ifnum\@ssect@currlevel=\@ne\@sect@section{#1}{#5}%
\else\ifnum\@ssect@currlevel=\tw@\@sect@subsection{#1}{#5}%
\else\ifnum\@ssect@currlevel=\thr@@\@sect@subsubsection{#1}{#5}%
\else\ifnum\@ssect@currlevel=4\relax\@sect@paragraph{#1}{#5}%
\else\ifnum\@ssect@currlevel=5\relax\@sect@subparagraph{#1}{#5}%
\else\@sect@otherwise{#1}{#5}%
\fi\fi\fi\fi\fi}%
\endgroup\else\def\@svsechd{#4{\hskip #1\relax #5}}%
\fi\@xsect{#3}}\def\newpage{\if@noskipsec\ifx\@nodocument\relax\leavevmode\global\@noskipsecfalse\fi\fi\if@inlabel\leavevmode\global\@inlabelfalse\fi\if@nobreak\@nobreakfalse\everypar{\opgbrkt@hook%default: (none)
}%
\fi\par\vfil\penalty -\@M}\def\@doendpe{\@endpetrue\def\par{\@restorepar\everypar{\if@nobreak\else\clubpenalty\@clubpenalty%\z@,\@clubpenalty
\fi\opgbrkt@hook%default: (none)
}%
\par\@endpefalse}%
\everypar{{\setbox\z@\lastbox}%
\if@nobreak\else\clubpenalty\@clubpenalty%\z@,\@clubpenalty
\fi\everypar{\opgbrkt@hook%default: (none)
}%
\@endpefalse\opgbrkt@hook%default: (none)
}%
}\def\@afterheading{\@nobreaktrue\everypar{\if@nobreak\@nobreakfalse\clubpenalty\@clubpenalty%\z@,\@clubpenalty; default:\@M
\if@afterindent\else{\setbox\z@\lastbox}%
\fi\else\clubpenalty\@clubpenalty\everypar{\opgbrkt@hook%default: (none)
}%
\fi\opgbrkt@hook%default: (none)
}%
}\def\@item[#1]{\if@noparitem\@donoparitem\else\if@inlabel\indent\par\fi\ifhmode\unskip\unskip\par\fi\if@newlist\if@nobreak\@nbitem\else\addpenalty\@beginparpenalty\addvspace\@topsep\addvspace{-\parskip}%
\fi\else\addpenalty\@itempenalty\addvspace\itemsep\fi\global\@inlabeltrue\fi\everypar{\@minipagefalse\global\@newlistfalse\if@inlabel\global\@inlabelfalse {\setbox\z@\lastbox\ifvoid\z@\kern-\itemindent\fi}%
\box\@labels\penalty\z@\fi\if@nobreak\@nobreakfalse\clubpenalty\@clubpenalty%\z@,\@clubpenalty; default:\@M
\else\clubpenalty\@clubpenalty\everypar{\opgbrkt@hook%default: (none)
}%
\fi\opgbrkt@hook%default: (none)
}%
\if@noitemarg\@noitemargfalse\if@nmbrlist\refstepcounter\@listctr\fi\fi\sbox\@tempboxa{\makelabel{#1}}%
\global\setbox\@labels\hbox{\unhbox\@labels\hskip\itemindent\hskip -\labelwidth\hskip -\labelsep\ifdim\wd\@tempboxa >\labelwidth\box\@tempboxa\else\hbox to\labelwidth {\unhbox\@tempboxa}%
\fi\hskip\labelsep}%
\ignorespaces\opgbrkt@hook%\inhibitglue; default: (none)
}\let\clone@@item\@item\def\secthead@font{\reset@font\bfseries\fontsize{10\bp@}{\Cvs}\selectfont}\newcommand{\section}{\@startsection{section}{1}{\z@}%
{\Cvs\@plus\z@\@minus.2\Cdp}%
{.00001\Cvs\@plus\z@\@minus.1\Cdp}%
{\reset@font\secthead@font}}\def\subsecthead@font{\reset@font\bfseries}\newcommand{\subsection}{\@startsection{subsection}{2}{\z@}%
{.00001\Cvs\@plus\z@\@minus.1\Cdp}%
{.00001\Cvs\@plus\z@\@minus.1\Cdp}%
{\reset@font\subsecthead@font}}\def\subsubsecthead@font{\reset@font\bfseries}\newcommand{\subsubsection}{\@startsection{subsubsection}{3}{\z@}%
{.00001\Cvs\@plus\z@\@minus.1\Cdp}%
{.00001\Cvs\@plus\z@\@minus.1\Cdp}%
{\reset@font\subsubsecthead@font}}\def\parahead@font{\reset@font\bfseries}\newcommand{\paragraph}{\@startsection{paragraph}{4}{\z@}%
{.00001\Cvs\@plus\z@\@minus.1\Cdp}%
{-1\zw}%
{\reset@font\parahead@font}}\def\subparahead@font{\reset@font\sffamily}\newcommand{\subparagraph}{\@startsection{paragraph}{5}{\z@}%
{.00001\Cvs\@plus\z@\@minus.1\Cdp}%
{-1\zw}%
{\reset@font\subparahead@font}}\newcommand{\acknowledgment}{\section*{\acknowledgmentname}}\newcommand{\appendix}{\@appendixtrue}\setlength\leftmargini {2\zw}\setlength\leftmarginii  {2\zw}\setlength\leftmarginiii {2\zw}\setlength\leftmarginiv  {2\zw}\setlength\leftmarginv {1\zw}\setlength\leftmarginvi{1\zw}\setlength\labelsep  {.5\zw}\setlength\labelwidth{\leftmargini}\addtolength\labelwidth{-\labelsep}\@beginparpenalty\z@ %default: -\@lowpenalty
\@endparpenalty\z@   %default: -\@lowpenalty
\@itempenalty\z@     %default: -\@lowpenalty
\renewcommand{\theenumi}{\@arabic\c@enumi}\renewcommand{\theenumii}{\@alph\c@enumii}\renewcommand{\theenumiii}{\@roman\c@enumiii}\renewcommand{\theenumiv}{\@Alph\c@enumiv}\newcommand{\labelenumi}{\theenumi.}\newcommand{\labelenumii}{(\theenumii)}\newcommand{\labelenumiii}{\theenumiii.}\newcommand{\labelenumiv}{\theenumiv.}\renewcommand{\p@enumii}{\theenumi}\renewcommand{\p@enumiii}{\theenumi(\theenumii)}\renewcommand{\p@enumiv}{\p@enumiii\theenumiii}\renewenvironment{enumerate}
{\ifnum\@enumdepth >\thr@@\@toodeep\else
 \advance\@enumdepth\@ne
\displaymath@smallskip@setup\edef\@enumctr{enum\romannumeral\the\@enumdepth}%
\list{\csname label\@enumctr\endcsname}{\topsep\z@\parsep\z@\parskip\z@\itemsep\z@\labelwidth2\zw\labelsep.5\zw\leftmargin\labelwidth\listparindent\z@\clubpenalty\z@\widowpenalty\z@\@itempenalty\z@\usecounter{\@enumctr}%
\def\makelabel##1{\hss\llap{##1}}}%
\fi}{\endlist}\newcommand{\labelitemi}{\leavevmode\raise.05\zh\hbox to 1\zw{\hss\textbullet\hss}%
}\newcommand{\labelitemii}{\leavevmode\hbox to 1\zw{\hss ・\hss}%
}\newcommand{\labelitemiii}{\textasteriskcentered}\newcommand{\labelitemiv}{\textperiodcentered}\renewenvironment{itemize}
{\ifnum\@itemdepth >\thr@@\@toodeep\else
 \advance\@itemdepth\@ne
\displaymath@smallskip@setup\edef\@itemitem{labelitem\romannumeral\the\@itemdepth}%
\list{\csname\@itemitem\endcsname}{\topsep\z@\parsep\z@\parskip\z@\itemsep\z@\labelwidth1\zw\leftmargin1\zw\listparindent1\zw\labelsep\z@\clubpenalty\z@\widowpenalty\z@\@itempenalty\z@\def\makelabel##1{\hss\llap{##1}}}%
\fi}{\endlist}\newenvironment{description}
{\list{}{%
 \topsep\z@\parsep\z@
 \parskip\z@\itemsep\z@
 \labelwidth\z@\itemindent-\leftmargin
 \let\makelabel\descriptionlabel
}}{\endlist}\newcommand{\descriptionlabel}[1]{\hspace\labelsep\normalfont\bfseries #1}\newenvironment{verse}
{\let\\\@centercr
 \list{}{%
 \itemindent2\zw
 \listparindent\itemindent
 \rightmargin\leftmargin
 \advance\leftmargin2\zw
}%
\item\relax}{\endlist}\newenvironment{quotation}
{\list{}{%
 \topsep\z@\parsep\z@
 \parskip\z@\itemsep\z@
 \listparindent1\zw
 \itemindent\listparindent
 \rightmargin\z@
 \leftmargin2\zw
}%
\item\relax}{\endlist}\newenvironment{quote}
{\list{}{%
 \topsep\z@\parsep\z@
 \parskip\z@\itemsep\z@
 \rightmargin\z@
 \leftmargin2\zw
}%
\item\relax}{\endlist}\newcounter{figure}\renewcommand{\thefigure}{\@arabic\c@figure}\def\fps@figure{tbp}\def\ftype@figure{1}\def\ext@figure{lof}\def\fnum@figure{\figurename\kern.25\zw\thefigure}\newenvironment{figure}
{\float@setup
 \abovecaptionskip4\JH\belowcaptionskip2\JH\captionwidth\hsize
\@float{figure}}{\end@float}\newenvironment{figure*}
{\float@setup
 \abovecaptionskip4\JH\belowcaptionskip2\JH\captionwidth\textwidth
\@dblfloat{figure}}{\end@dblfloat}\newcounter{table}\renewcommand{\thetable}{\@arabic\c@table}\def\fps@table{tbp}\def\ftype@table{2}\def\ext@table{lot}\def\fnum@table{\tablename\kern.25\zw\thetable}\newenvironment{table}
{\float@setup
 \abovecaptionskip2\JH\belowcaptionskip4\JH\captionwidth\hsize
\@float{table}}{\end@float}\newenvironment{table*}
{\float@setup
 \abovecaptionskip2\JH\belowcaptionskip4\JH\captionwidth\textwidth
 \@dblfloat{table}}{\end@dblfloat}\newlength\abovecaptionskip\newlength\belowcaptionskip
 \newlength\captionwidth
 \def\float@setup{%
 \let\center\float@center\let\endcenter\endfloat@center
 }\def\float@center{\topsep\z@\parsep\z@\partopsep\z@\itemsep\z@
 \trivlist\centering\item\relax}\def\endfloat@center{\endtrivlist}\long\def\@caption#1[#2]#3{\par
\begingroup\@parboxrestore\if@minipage\@setminipage\fi\fontsize{8\bp@}{12\bp@}\selectfont%\small
\@makecaption{\csname fnum@#1\endcsname}{\ignorespaces #3}\par\endgroup}\def\@floatboxreset{\reset@font\fontsize{8\bp@}{12\bp@}\selectfont%\small
\setlength\tabcolsep{.5\zw}%
\@setminipage}\def\caption@font{\reset@font\sffamily\fontsize{8\bp@}{11\bp@}\selectfont}\def\captionnum@font{\caption@font}\long\def\@makecaption#1#2{\vskip\abovecaptionskip\def\caption@z@one@skip{1\zw}%
\caption@font\setbox\z@=\hbox{\let\newline\cr\relax{\captionnum@font #1}\hskip\caption@z@one@skip%
\shortstack[l]{\inhibitglue #2}}%
\setbox\@ne=\hbox{{\captionnum@font #1}\hskip\caption@z@one@skip}%
\@tempdima\ht\z@\advance\@tempdima\dp\z@\@tempdimb\wd\z@\relax\ifdim\wd\z@ >\captionwidth\@tempdimb\captionwidth\relax\fi\ifdim\@tempdima >\baselineskip\hfil\parbox[t]{\@tempdimb}{\hangindent\wd\@ne {\captionnum@font #1}\hskip\caption@z@one@skip\inhibitglue #2}\par\else\ifdim\wd\z@ >\captionwidth\hfil\parbox[t]{\@tempdimb}{\hangindent\wd\@ne {\captionnum@font #1}\hskip\caption@z@one@skip\inhibitglue #2}\par\else\hbox to\hsize{\hss\box\z@\hss}\par\fi\fi\vskip\belowcaptionskip}\setlength\arraycolsep{5\bp@}\setlength\tabcolsep{.5\zw}\setlength\arrayrulewidth{.12mm}\setlength\doublerulesep{2\bp@}\setlength\tabbingsep{\labelsep}
\skip\@mpfootins =\skip\footins
 \setlength\fboxsep{.5\zw}\setlength\fboxrule{.12mm}\renewcommand{\theequation}{\@arabic\c@equation}\newdimen\bibindent\setlength\bibindent{1.5em}\newcommand{\newblock}{\hskip .11em\@plus.33em\@minus.07em}\def\bibl@font{\reset@font\fontsize{8.5\bp@}{12\bp@}\selectfont}\def\biblhead@font{\reset@font\bfseries\fontsize{9\bp@}{12\bp@}\selectfont}\def\@makebiblhead#1{\pagebreak[2]
\@tempskipa2\baselineskip\vskip-\prevdepth\prevdepth\z@\vskip2\baselineskip\advance\@tempskipa-3\baselineskip\vspace{\baselineskip}%
\vspace*{\@tempskipa}\par\hbox to\columnwidth{\hfil\biblhead@font #1\hfil}\par\nopagebreak}\newenvironment{thebibliography}[1]{\@makebiblhead{\refname}%
\bibl@font\list{\@biblabel{\@arabic\c@enumiv}}%
{\settowidth\labelwidth{\@biblabel{#1}}%
\leftmargin\labelwidth\advance\leftmargin\labelsep\topsep\z@\parsep\z@\partopsep\z@\itemsep\z@\@openbib@code\usecounter{enumiv}%
\let\p@enumiv\@empty\renewcommand\theenumiv{\@arabic\c@enumiv}}%
\def\makelabel##1{\rlap{##1}\hss}%
\sloppy\clubpenalty4000
\@clubpenalty\clubpenalty\widowpenalty4000
\sfcode`\.\@m}{\def\@noitemerr{\@latex@warning{Empty `thebibliography' environment}}%
\endlist}\let\@openbib@code\@empty\def\@biblabel#1{[#1]}\def\footnotemark@font{\reset@font%<= sup
\fontsize{6.5\bp@}{\z@}\selectfont}\def\footnote@footnotemark@font{\footnote@font}\def\footnote@font{\reset@font\fontsize{8\bp@}{12\bp@}\selectfont\relax}\let\clone@footnote\footnote\let\clone@footnotemark\footnotemark\def\footnote{\unskip\inhibitglue\penalty\@M\clone@footnote}\def\footnotemark{\unskip\inhibitglue\penalty\@M\clone@footnotemark}\renewcommand{\footnoterule}{\kern-3\bp@\relax\hrule width\if@cameraready\textwidth\else\columnwidth\fi\relax\kern 2.6\bp@\relax}\newcommand*\FootnoteMarkSymbol[1]{\gdef\@FootnoteMarkSymbol{#1}}\def\@FootnoteMarkSymbol{\textasteriskcentered}\@onlypreamble\FootnoteMarkSymbol\renewcommand\@makefnmark{\hbox{}\hbox{\smash{\@textsuperscript{\footnotemark@font\@FootnoteMarkSymbol\kern\z@\relax\@thefnmark}}}\hbox{}}\newcommand\@makefntext[1]{\clubpenalty\@M\widowpenalty\@M\noindent\footnote@font\@hangfrom{\hbox to 3\zw{\let\@textsuperscript\relax\let\footnotemark@font\footnote@footnotemark@font\relax\@makefnmark\hss}}\relax\inhibitglue #1}\newcommand{\refname}{\kintou{7\zw}{参考文献}}\newcommand{\figurename}{図}\newcommand{\tablename}{表}\newcommand{\acknowledgmentname}{\kintou{3\zw}{謝辞}}\newcommand{\appendixname}{付録}\newcommand{\abstractname}{概要}\newcommand{\keywordsname}{Keywords}\newcommand{\profilesname}{\kintou{7\zw}{著者紹介}}\newcommand{\nonmembername}{非会員}\def\opgbrkt@inhibitglue{\inhibitglue}\def\opgbrkt@hook{\futurelet\@let@token\@opgbrkt@hook}\def\@opgbrkt@hook{\ifx\@let@token（\opgbrkt@inhibitglue\else\ifx\@let@token〔\opgbrkt@inhibitglue\else\ifx\@let@token［\opgbrkt@inhibitglue\else\ifx\@let@token｛\opgbrkt@inhibitglue\else\ifx\@let@token〈\opgbrkt@inhibitglue\else\ifx\@let@token《\opgbrkt@inhibitglue\else\ifx\@let@token「\opgbrkt@inhibitglue\else\ifx\@let@token『\opgbrkt@inhibitglue\else\ifx\@let@token【\opgbrkt@inhibitglue\fi\fi\fi\fi\fi\fi\fi\fi\fi }\def\quad{\hskip1\zw\relax}\def\qquad{\hskip2\zw\relax}\smallskipamount=.25\Cvs\@plus.1\Cdp\@minus.1\Cdp\medskipamount  =.5\Cvs\@plus.1\Cdp\@minus.1\Cdp
 \bigskipamount  =\Cvs\@plus.1\Cdp\@minus.1\Cdp
 \def\makelines#1{%
 \@tempcnta\z@\relax
\def\@makeline@f@size{\f@size}%
\@whilenum\@tempcnta<#1\do{\advance\@tempcnta\@ne\relax\noindent\rlap{\the\@tempcnta}\nobreak\makelines@neline\par}%
}\def\makelines@unit@#10#2\relax{\ifx!#2!\relax □\else\relax ■\fi}%
\newcounter{makelines@unit}\def\makelines@neline{\c@makelines@unit\@ne\@whilenum\c@makelines@unit<\dimexpr(\hsize +\Cwd)/\Cwd\do{\expandafter\makelines@unit@\the\c@makelines@unit0\relax\advance\c@makelines@unit\@ne}%
}\DeclareRobustCommand*{\kintou}[2]{\leavevmode\hbox to #1{\ifx\directlua\undefined\kanjiskip=0pt plus 1fil minus 1fil
\xkanjiskip=\kanjiskip\else\ltjsetparameter{kanjiskip=0pt plus 1fil minus 1fil,
xkanjiskip=0pt plus 1fil minus 1fil}%
\fi#2}}\DeclareRobustCommand{\nibaidash}{―\kern-.5\zw ―\kern-.5\zw ―}\def\−−{\nibaidash}\def\——{\nibaidash}\def\——{\nibaidash}\newcommand\quarterlineskip{\par\vspace{.25\baselineskip}\par}\newcommand\halflineskip{\par\vspace{.5\baselineskip}\par}\newcommand\onelineskip{\par\vspace{\baselineskip}\par}\newcommand*\oneblankpage[1][]{\clearpage\thispagestyle{empty}%
\@ifempty{#1}{\hbox{}}{\null\vfil\rlap{\hbox to\textwidth{\hfil\huge #1\hfil}}}%
\newpage\if@twocolumn\hbox{}\newpage\fi}\newcommand*{\grnchry@needspace}[1]{\begingroup\setlength{\dimen@}{#1}%
\vskip\z@\@plus\dimen@\relax\penalty -100\vskip\z@\@plus -\dimen@\relax\vskip\dimen@\relax\penalty 9999%
\vskip -\dimen@\relax\vskip\z@skip\relax % hide the previous |\vskip| from |\addvspace|
\endgroup}\newcommand*{\grnchry@Needspace}{\ltx@ifstar{\@sneedsp@}{\@needsp@}}\def\@sneedsp@#1{\par\penalty-100\begingroup\setlength{\dimen@}{#1}%
\dimen@ii\pagegoal\advance\dimen@ii-\pagetotal\ifdim\dimen@>\dimen@ii\break\fi\endgroup}\def\@needsp@#1{\par\penalty-100\begingroup\setlength{\dimen@}{#1}%
\dimen@ii\pagegoal\advance\dimen@ii-\pagetotal\ifdim\dimen@>\dimen@ii\ifdim\dimen@ii>\z@\vfil\fi\break\fi\endgroup}\let\needspace\grnchry@needspace\let\Needspace\grnchry@Needspace\ifx\directlua\undefined\postbreakpenalty\jis"2146=10000%"             %2146 ‘
\prebreakpenalty\jis"2147=10000 %"default: 5000%2147 ’
\postbreakpenalty\jis"2148=10000%"default: 5000%2148 “
\prebreakpenalty\jis"2149=10000 %"default: 5000%2149 ”
\postbreakpenalty`（=10000%214A （
\prebreakpenalty`）=10000 %214B ）
\postbreakpenalty`〔=10000%214C 〔
\prebreakpenalty`〕=10000 %214D 〕
\postbreakpenalty`［=10000%214E ［
\prebreakpenalty`］=10000 %214F ］
\postbreakpenalty`｛=10000%2150 ｛
\prebreakpenalty`｝=10000 %2151 ｝
\postbreakpenalty`〈=10000%2152 〈
\prebreakpenalty`〉=10000 %2153 〉
\postbreakpenalty`《=10000%2154 《
\prebreakpenalty`》=10000 %2155 》
\postbreakpenalty`「=10000%2156 「
\prebreakpenalty`」=10000 %2157 」
\postbreakpenalty`『=10000%2158 『
\prebreakpenalty`』=10000 %2159 』
\postbreakpenalty`【=10000%215A 【
\prebreakpenalty`】=10000 %215B 】
\prebreakpenalty`"=10000
\prebreakpenalty`℃=10000
\prebreakpenalty`　=10000
\prebreakpenalty`・=10000
\prebreakpenalty`〜=10000
\prebreakpenalty`ー=10000
\prebreakpenalty`？=10000
\prebreakpenalty`！=10000
\postbreakpenalty"10=10000%"\textquotedblleft: 16/T1
\postbreakpenalty`0=10000
\postbreakpenalty`1=10000
\postbreakpenalty`2=10000
\postbreakpenalty`3=10000
\postbreakpenalty`4=10000
\postbreakpenalty`5=10000
\postbreakpenalty`6=10000
\postbreakpenalty`7=10000
\postbreakpenalty`8=10000
\postbreakpenalty`9=10000
\inhibitxspcode`〒=2
\xspcode`+=3
\xspcode`\%=3
\@tempcnta="80\@whilenum\@tempcnta<"100\do{\xspcode\@tempcnta=3\advance\@tempcnta\@ne}\else\ltjsetparameter{prebreakpenalty={`℃,10000}}\ltjsetparameter{prebreakpenalty={`　,10000}}\ltjsetparameter{prebreakpenalty={`〜,10000}}\ltjsetparameter{postbreakpenalty={`0,10000}}\ltjsetparameter{postbreakpenalty={`1,10000}}\ltjsetparameter{postbreakpenalty={`2,10000}}\ltjsetparameter{postbreakpenalty={`3,10000}}\ltjsetparameter{postbreakpenalty={`4,10000}}\ltjsetparameter{postbreakpenalty={`5,10000}}\ltjsetparameter{postbreakpenalty={`6,10000}}\ltjsetparameter{postbreakpenalty={`7,10000}}\ltjsetparameter{postbreakpenalty={`8,10000}}\ltjsetparameter{postbreakpenalty={`9,10000}}\fi%% end of\ifx\directlua\undefined
\def\sloppy{\tolerance9999
\hbadness9999
\emergencystretch 3\zw\hfuzz .5\bp@\vfuzz\hfuzz}\tolerance5000%5000; default: 200
\hbadness5000 %5000; default: 1000
\pretolerance\m@ne%\m@ne; default: 100
\vbadness10001%10001; default: 1000
\clubpenalty\z@ %\z@; default: 150
\widowpenalty\z@%\z@; default: 150
\ifx\directlua\undefined\kanjiskip\z@\@plus.1\zw\@minus.01\zw\xkanjiskip 0.25em plus 0.15em minus 0.06em
\else\ltjsetkanjiskip\z@\@plus.1\zw\@minus.01\zw\ltjsetxkanjiskip 0.25em plus 0.15em minus 0.06em
\fi\pagestyle{bothstyle}\pagenumbering{arabic}
\ifx l\grnchry@engine
\IfFileExists{stfloats.sty}{\RequirePackage{stfloats}\fnbelowfloat}{}%
\fi\if@twocolumn\twocolumn\sloppy\flushbottom\else\onecolumn\raggedbottom\fi\AtBeginDocument{\everypar{\opgbrkt@hook}%
\@ifundefined{allowdisplaybreaks}{}{\displaywidowpenalty\z@\interdisplaylinepenalty\z@\predisplaypenalty\z@\postdisplaypenalty\z@}%
\@ifundefined{CT@setup}{}{\def\@cline#1-#2\@nil{\noalign{\vskip-\arrayrulewidth}%
\omit\@multicnt#1%
\advance\@multispan\m@ne\ifnum\@multicnt=\@ne\@firstofone{&\omit}\fi\@multicnt#2%
\advance\@multicnt-#1%
\advance\@multispan\@ne{\CT@arc@\leaders\hrule\@height\arrayrulewidth\hfill}%
\cr}%
}%
\@ifundefined{Gm@warning}{}{\grnchry@error{'jpfr.cls' does not support the package 'geometry'.}}%
}\iftombow\newdimen\stockwidth\newdimen\stockheight\setlength{\stockwidth}{\paperwidth}\setlength{\stockheight}{\paperheight}
\advance\stockwidth 2in
\advance\stockheight 2in
 \AtBeginDvi{\special{papersize=\the\stockwidth,\the\stockheight}}
 \else\if@mentuke\else\AtBeginDvi{\special{papersize=\the\paperwidth,\the\paperheight}}
\fi\fi\@namedef{Gin@rule@.ai}#1{{pdf}{.ai}{#1}}\@namedef{Gin@rule@.AI}#1{{pdf}{.AI}{#1}}
\listfiles
\AtEndOfClass{\def\nameen@andify{\nxandlist {\unskip ,\penalty-1 \space\ignorespaces}{\unskip {} \@@and~}{\unskip \penalty-2 \space \@@and~}}\def\nameja@andify{\nxandlist {\unskip ，\penalty-1\space\ignorespaces}{\unskip ，}{\unskip ，\penalty-2}}\def\@sect@otherwise#1#2{\bgroup\@hangfrom{\hskip #1\relax\@svsec}\mbox{}\inhibitglue #2\vphantom{Mg}\par\egroup\nobreak}\def\@sect#1#2#3#4#5#6[#7]#8{\ifnum #2>\c@secnumdepth\let\@svsec\@empty\else\if@appendix\let\@svsec\@empty\else\refstepcounter{#1}\protected@edef\@svsec{\csname #1@seccntformat\endcsname{#1}\relax}\fi\fi\@tempskipa #5\relax\ifdim \@tempskipa>\z@\begingroup\interlinepenalty\@M#6{\ifnum#2=\@ne\@sect@section{#3}{#8}\else\ifnum#2=\tw@\@sect@subsection{#3}{#8}\else\ifnum#2=\thr@@\@sect@subsubsection{#3}{#8}\else\ifnum#2=4\relax\@sect@paragraph{#3}{#8}\else\ifnum#2=5\relax\@sect@subparagraph{#3}{#8}\else\@sect@otherwise{#3}{#8}\fi\fi\fi\fi\fi}\endgroup\csname #1mark\endcsname{#7}\addcontentsline{toc}{#1}{\ifnum #2>\c@secnumdepth \else\protect\numberline{\csname the#1\endcsname}\fi#7}\else\def\@svsechd{#6{\hskip #3\relax\@svsec #8}\csname #1mark\endcsname{#7}\addcontentsline{toc}{#1}{\ifnum #2>\c@secnumdepth \else\protect\numberline{\csname the#1\endcsname}\fi#7}}\fi\@xsect{#5}}}\endinput
